open-iscsi (2.1.9-3ubuntu5.3trisquel1) ecne; urgency=medium

  * Rebuild upstream to get udeb dependency for debian-installer.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sun, 16 Mar 2025 09:44:40 +0000

open-iscsi (2.1.9-3ubuntu5.3) noble; urgency=medium

  * IPv6 support for iBFT iSCSI boot (LP: #2097808)
    - d/p/lp2097808-IPv6-support-for-iBFT-iSCSI-boot-493.patch

 -- Chengen Du <chengen.du@canonical.com>  Tue, 11 Feb 2025 03:18:07 +0000

open-iscsi (2.1.9-3ubuntu5.2) noble; urgency=medium

  * d/p/lp2073846-setpriority-fix-for-linux-6x-kernel.patch: fix setpriority
    issue for linux kernel version >=6. (LP: #2073846)

 -- Mustafa Kemal GILOR <mustafa.gilor@canonical.com>  Mon, 02 Sep 2024 11:02:19 +0300

open-iscsi (2.1.9-3ubuntu5.1) noble; urgency=medium

  * initramfs-hook: Combine calls to manual_add_modules (LP: #2065180)

 -- Benjamin Drung <bdrung@ubuntu.com>  Mon, 01 Jul 2024 21:01:25 +0200

open-iscsi (2.1.9-3ubuntu5) noble; urgency=medium

  * No-change rebuild against libmount1t64.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 19 Apr 2024 18:45:14 +0200

open-iscsi (2.1.9-3ubuntu4) noble; urgency=high

  * No change rebuild against libssl3t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 16:46:46 +0200

open-iscsi (2.1.9-3ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 06:40:43 +0000

open-iscsi (2.1.9-3ubuntu2) noble; urgency=medium

  * No-change rebuild against libssl3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 04 Mar 2024 20:22:33 +0000

open-iscsi (2.1.9-3ubuntu1) noble; urgency=medium

  * Merge with Debian unstable (LP: #2040361). Remaining changes:
    - d/README.Debian, d/extra/startup-checks.sh, d/open-iscsi.postinst:
      Apply Ubuntu branding to iqn initiator name
    - debian/tests: Add Ubuntu autopkgtest suite:
      + d/t/README-boot-test.md: document test design
      + d/t/control: register testsuite
      + d/t/get-image: helper to fetch an ubuntu cloud image
      + d/t/patch-image: helper to modify an ubuntu cloud image
      + d/test-open-iscsi.py, d/t/testlib.py: various qa regression tests
      + d/t/testsuite: helper to invoke qa regression tests
      + d/t/tgt-boot-test: test using tgt to boot from iscsi
      + d/t/xkvm: helper to spawn a VM
    - d/p/fix-format-overflow-warnings.patch: Fix format overflow warnings
      seen when building with -O3 to avoid FTBFS on ppc64el
  * d/t/patch-image: fixed kernel detection by manually mounting /boot when
    downloaded image contains a separate /boot partition
  * d/t/install: fixed test by forcing a package reinstall so that
    /etc/iscsi/initiatorname.iscsi can have expected value from the
    postinst script

 -- Mateus Rodrigues de Morais <mateus.morais@canonical.com>  Thu, 14 Dec 2023 10:08:38 -0300

open-iscsi (2.1.9-3) unstable; urgency=medium

  * Release to unstable.

 -- Chris Hofstaedtler <zeha@debian.org>  Mon, 27 Nov 2023 01:30:00 +0100

open-iscsi (2.1.9-2) experimental; urgency=medium

  * [1ceb4b9] Move files from / to /usr
  * [ab986c9] Apply wrap-and-sort -kas

 -- Chris Hofstaedtler <zeha@debian.org>  Sat, 25 Nov 2023 17:02:11 +0100

open-iscsi (2.1.9-1) unstable; urgency=medium

  * [90dd9cd] New upstream version 2.1.9
 
 -- Chris Hofstaedtler <zeha@debian.org>  Sat, 11 Nov 2023 00:49:32 +0100

open-iscsi (2.1.8-2) unstable; urgency=medium

  [ Eric Mackay ]
  * [195bc9a] Update debian/watch to use api.github

  [ Chris Hofstaedtler ]
  * [5dde3d5] Import README.source from systemd
  * [f00c96e] Import patches into gbp-pq workflow
  * Merge upstream git history
  
  [ Debian Janitor ]
  * [ebe24b7] Remove constraints unnecessary since buster (oldstable)

 -- Chris Hofstaedtler <zeha@debian.org>  Sun, 27 Aug 2023 12:10:27 +0200

open-iscsi (2.1.8-1ubuntu2) mantic; urgency=medium

  * Fix format overflow warnings seen when building with
    -O3 to avoid FTBFS on ppc64el (LP: #2036884)

 -- Graham Inggs <ginggs@ubuntu.com>  Fri, 22 Sep 2023 15:42:55 +0000

open-iscsi (2.1.8-1ubuntu1) lunar; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - debian/tests: Add Ubuntu autopkgtest suite:
      + d/t/README-boot-test.md: document test design
      + d/t/control: register testsuite
      + d/t/get-image: helper to fetch an ubuntu cloud image
      + d/t/patch-image: helper to modify an ubuntu cloud image
      + d/test-open-iscsi.py, d/t/testlib.py: various qa regression tests
      + d/t/testsuite: helper to invoke qa regression tests
      + d/t/tgt-boot-test: test using tgt to boot from iscsi
      + d/t/xkvm: helper to spawn a VM
    - d/README.Debian, d/extra/startup-checks.sh, d/open-iscsi.postinst:
      Apply Ubuntu branding to iqn initiator name

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 07 Nov 2022 15:10:10 -0800

open-iscsi (2.1.8-1) unstable; urgency=medium

  [ Chris Hofstaedtler ]
  * [be2751b] New upstream version 2.1.8 (Closes: #1021742)
  * [6697df5] Remove upstream applied non-usrmerge-sed.patch

  [ Eric Mackay ]
  * [7dbf2c1] Man pages are no longer gzipped in upstream code
  * [833e478] Drop upstream 341 and 354 patches, refresh remaining patches

 -- Chris Hofstaedtler <zeha@debian.org>  Wed, 19 Oct 2022 15:59:32 +0000

open-iscsi (2.1.7-2ubuntu1) kinetic; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - debian/tests: Add Ubuntu autopkgtest suite:
      + d/t/README-boot-test.md: document test design
      + d/t/control: register testsuite
      + d/t/get-image: helper to fetch an ubuntu cloud image
      + d/t/patch-image: helper to modify an ubuntu cloud image
      + d/test-open-iscsi.py, d/t/testlib.py: various qa regression tests
      + d/t/testsuite: helper to invoke qa regression tests
      + d/t/tgt-boot-test: test using tgt to boot from iscsi
      + d/t/xkvm: helper to spawn a VM
    - d/README.Debian, d/extra/startup-checks.sh, d/open-iscsi.postinst:
      Apply Ubuntu branding to iqn initiator name
  * Dropped changes, no longer needed:
    - debian/open-iscsi-udeb.start: Apply Ubuntu branding
    - Stop producing udebs on i386 where we no longer have d-i or a kernel.
  * Dropped changes, included in Debian:
    - d/p/lp1979692-fix-gcc12-ftbfs-0*.patch: Fix FTBFS with GCC 12.
    - d/rules: remove duplicated dh_installsystemd section
  * Dropped changes, no longer needed:
    - d/control: Transition from libopeniscsiusr0.2.0 to libopeniscsiusr;
      not needed, the referenced version is no longer in any supported
      release and the transitional package is in the previous LTS.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 16 Aug 2022 08:32:36 -0700

open-iscsi (2.1.7-2) unstable; urgency=medium

  * [09dfaec] Enable hardening build flags
  * [c0ce256] d/rules: remove unused DEB_HOST_MULTIARCH
  * [70574d1] Run separate build for udeb to avoid libsystemd dependency
    (Closes: #1003366)

 -- Chris Hofstaedtler <zeha@debian.org>  Sat, 30 Jul 2022 14:23:25 +0000

open-iscsi (2.1.7-1) unstable; urgency=medium

  * [3050096] New upstream version 2.1.7 (Closes: #982307, #1016246)
  * [46fd279] Refresh patches, drop upstream applied ftbfs patch
  * [cac01da] Help upstream Makefile find sed in /bin
  * [0202184] Add patches from upstream master to fix build
  * [f61e6a0] Use dh_auto_install, better suits new upstream build system
  * [2080bfb] Fix multiarch install location
  * [4f57eb7] Move udeb files into correct places (like in 2.0.874-7.1)
  * [75b86ce] Cleanup duplicate override_dh_installsystemd section
    (Closes: #1004014)
  * [24f9981] d/copyright: update
  * [41970e3] Rely on dh_installinitramfs to install triggers

 -- Chris Hofstaedtler <zeha@debian.org>  Fri, 29 Jul 2022 19:59:11 +0000

open-iscsi (2.1.5-1ubuntu2) kinetic; urgency=medium

  * d/p/lp1979692-fix-gcc12-ftbfs-0*.patch: Fix FTBFS with GCC 12.
    (LP: #1979692)

 -- Sergio Durigan Junior <sergio.durigan@canonical.com>  Thu, 23 Jun 2022 17:28:56 -0400

open-iscsi (2.1.5-1ubuntu1) jammy; urgency=medium

  * Merge with Debian unstable (LP: #1946835). Remaining changes:
    - debian/tests: Add Ubuntu autopkgtest suite:
      + d/t/README-boot-test.md: document test design
      + d/t/control: register testsuite
      + d/t/get-image: helper to fetch an ubuntu cloud image
      + d/t/patch-image: helper to modify an ubuntu cloud image
      + d/test-open-iscsi.py, d/t/testlib.py: various qa regression tests
      + d/t/testsuite: helper to invoke qa regression tests
      + d/t/tgt-boot-test: test using tgt to boot from iscsi
      + d/t/xkvm: helper to spawn a VM
    - Stop producing udebs on i386 where we no longer have d-i or a kernel.
    - d/README.Debian, d/extra/startup-checks.sh, d/open-iscsi-udeb.start,
      d/open-iscsi.postinst: Apply Ubuntu branding to iqn initiator name
    - d/control: Transition from libopeniscsiusr0.2.0 to libopeniscsiusr
    - d/t/test-open-iscsi.py: adopt to resolvectl (systemd v249 compat)
  * Dropped changes, included in Debian:
    - d/iscsid.service: Let iscsid systemd job run in privileged containers
      but not in unprivileged ones
    - debian/extra/initramfs.local-top: handle iSCSI iBFT DHCP to correctly
      run ipconfig to gather all DHCP config info, including DNS search
      domain, which iBFT can't provide.
    - Remove initramfs interfaces stamp in case no iscsi devs mounted
      If iscsi root was requested, but no iscsi devices were mounted, remove
      the initramfs interfaces stamp file. Meaning, that on shutdown there is
      no 30s delay, whilst trying to re-establish iscsi login to perform a
      logout.
    - add IPv6 support
      + Source /run/net6-*.conf when needed.
      + debian/extra/initramfs.local-top: handle IPv6 configs being shipped
        in DEVICE6 or /run/net6-*.conf in the initramfs, so we can fill in
        /run/initramfs/open-iscsi.interface
    - d/rules, d/open-iscsi.finalrd, d/control: ship the finalrd iscsi
      logout hook and recommend finalrd and busybox for the logout hook
      to work.
    - Make iscsid socket-activated to only activate it as needed:
      + debian/open-iscsi.service: do not start or check iscsid.service
      + debian/rules: install and enable iscsid.socket
      + debian/open-iscsi.postinst:
        + run restart logic only if service is running on upgrade
        + drop no longer reachable upgrade path that affects iscsid
        + disable iscsid.service on upgrade
        + handle iscsid.socket to be started if the service is not running yet
      + d/iscsi-disk.rules: Add a udev rule so that iscsid.service will be
        run when udev disks are attached.
      + d/iscsid.service: Remove ExecStop= directive.
      + debian/tests/install: fix tests to work with socket activation
      + debian/patches/lp1755858-default-iscsid_conf-to-iscsid_socket.patch
    - debian/open-iscsi.service: Start open-iscsi systemd job when either
      /etc/iscsi/nodes or /sys/class/iscsi_session have content.
    - Prevent network interface that contains iscsi root from bouncing
      during boot or going down during shutdown if the system is using
      resolvconf or ifupdown:
      + d/iscsi-network-interface.rules
      + d/extra/net-interface-handler
    - debian/extra/initramfs.hook: add ib_iser to the list of modules
      included in the initramfs, so that we can in principle support
      iscsi root on infiniband.
    - debian/open-iscsi.kmod drop: (LP 1833586)
      no static module list is needed if we let iscsid load modules itself.
    - d/extra/initramfs.local-{top,bottom}: move removal of
      open-iscsi.interface file from local-top to local-bottom,
      and fix shell quoting issue that would result in /run/initramfs/
      open-iscsi.interface always being removed (LP 1872813)
    - d/rules: Don't FTBFS due to warnings new in gcc10 regarding bounds and
      initialization, because upstream's gcc10 support is incomplete. This
      change can be dropped when upstream has completed their gcc support.
  * Added changes
    - d/rules: remove duplicated dh_installsystemd section

 -- Dave Jones <dave.jones@canonical.com>  Wed, 19 Jan 2022 11:38:12 +0000

open-iscsi (2.1.5-1) unstable; urgency=medium

  * [150470c] New upstream version 2.1.5
  * [7ca9f9e] Install the debian iscsid.service unit (Closes: #996708)
  * [d660992] Add patch to fix build failure with gcc-11

 -- Ritesh Raj Sarraf <rrs@debian.org>  Thu, 21 Oct 2021 21:36:50 +0530

open-iscsi (2.1.4-2) unstable; urgency=low

  [ Debian Janitor ]
  * [66832cc] Trim trailing whitespace.
  * [f68aaaf] debian/copyright: use spaces rather than tabs to start
    continuation lines.
  * [16eb556] Use secure URI in Homepage field.
  * [c3f9946] Bump debhelper dependency to >= 10, since that's what
    is used in debian/compat.
  * [693da74] Bump debhelper from old 10 to 13.
    + Use dh_installsystemd rather than deprecated dh_systemd_enable.
    + Use dh_installsystemd rather than deprecated dh_systemd_start.
    + debian/rules: Drop --fail-missing argument to dh_missing, which
      is now the default.
  * [107b3e4] Set debhelper-compat version in Build-Depends.
  * [68b97c5] Remove unnecessary 'Testsuite: autopkgtest' header.
  * [b80b61e] Set upstream metadata fields: Bug-Database, Bug-Submit,
    Repository, Repository-Browse.
  * [1096e5b] Update standards version to 4.5.1, no changes needed.

 -- Ritesh Raj Sarraf <rrs@debian.org>  Thu, 09 Sep 2021 19:36:42 +0530

open-iscsi (2.1.4-1) unstable; urgency=low

  [ Ritesh Raj Sarraf ]
  * [1a58d4e] Drop patches. Part of new upstream release
  * [a264531] Rebase patch

  [ Rafael David Tinoco ]
  * d/iscsid.service: Let iscsid systemd job run in privileged
    containers but not in unprivileged ones
  * debian/extra/initramfs.local-top: handle iSCSI iBFT DHCP to
    correctly run ipconfig to gather all DHCP config info, including
    DNS search domain, which iBFT can't provide.
  * Remove initramfs interfaces stamp in case no iscsi devs mounted
  * add IPv6 support
    - Source /run/net6-*.conf when needed.
    - debian/extra/initramfs.local-top: handle IPv6 configs being
      shipped in DEVICE6 or /run/net6-*.conf in the initramfs, so we
      can fill in /run/initramfs/open-iscsi.interface
  * d/rules, d/open-iscsi.finalrd, d/control: ship the finalrd iscsi
    logout hook and recommend finalrd and busybox for the logout hook
    to work.
  * Make iscsid socket-activated to only activate it as needed:
    - debian/open-iscsi.service: do not start or check iscsid.service
    - debian/rules: install iscsid.socket
    - debian/open-iscsi.postinst:
    - upgrade: run restart logic only if service is running
    - upgrade: disable iscsid.service and enable iscsid.socket
    - iscsid.socket not started if the service is not running yet
    - d/iscsi-disk.rules: Add a udev rule so that iscsid.service will be
      run when udev disks are attached.
    - d/iscsid.service: Remove ExecStop= directive.
    - debian/tests/install: fix tests to work with socket activation
    - debian/patches/lp1755858-default-iscsid_conf-to-iscsid_socket.patch
  * debian/open-iscsi.service: Start open-iscsi systemd job when either
    /etc/iscsi/nodes or /sys/class/iscsi_session have content.
  * Prevent network interface that contains iscsi root from bouncing
    during boot or going down during shutdown if the system is using
    resolvconf or ifupdown:
    - debian/iscsi-network-interface.rules
    - debian/extra/net-interface-handler
  * debian/extra/initramfs.hook: add ib_iser to the list of modules
    included in the initramfs, so that we can in principle support
    iscsi root on infiniband.
  * debian/open-iscsi.kmod drop: (LP: #1833586) no static module
    list is needed if we let iscsid load modules itself.
  * d/extra/initramfs.local-{top,bottom}: move removal of
    open-iscsi.interface file from local-top to local-bottom, and fix
    shell quoting issue that would result in
    /run/initramfs/open-iscsi.interface always being removed
    (LP: #1872813)
  * d/rules: Don't FTBFS due to warnings new in gcc10 regarding bounds
    and initialization, because upstream's gcc10 support is incomplete.
    This change can be dropped when upstream has completed their gcc
    support.

  [ Christian Ehrhardt ]
  * [84e211f] New upstream version 2.1.4

  [ Debian Janitor ]
  * [03a860a] Remove constraints unnecessary since buster

 -- Ritesh Raj Sarraf <rrs@debian.org>  Thu, 02 Sep 2021 18:07:51 +0530

open-iscsi (2.1.4-0ubuntu3) jammy; urgency=medium

  * No-change rebuild against openssl3

 -- Simon Chopin <simon.chopin@canonical.com>  Wed, 01 Dec 2021 16:08:23 +0000

open-iscsi (2.1.4-0ubuntu2) jammy; urgency=medium

  * [a0e81aa] d/t/test-open-iscsi.py: adopt to resolvectl (systemd v249 compat)

 -- Lukas Märdian <slyon@ubuntu.com>  Mon, 22 Nov 2021 11:42:18 +0100

open-iscsi (2.1.4-0ubuntu1) impish; urgency=medium

  * Merge with Debian unstable (LP: #1934290). Remaining changes:
    - debian/tests: Add Ubuntu autopkgtest suite:
      + d/t/README-boot-test.md: document test design
      + d/t/control: register testsuite
      + d/t/get-image: helper to fetch an ubuntu cloud image
      + d/t/patch-image: helper to modify an ubuntu cloud image
      + d/test-open-iscsi.py, d/t/testlib.py: various qa regression tests
      + d/t/testsuite: helper to invoke qa regression tests
      + d/t/tgt-boot-test: test using tgt to boot from iscsi
      + d/t/xkvm: helper to spawn a VM
      Note: this suite should be replaced by LIO that replaced TGT in main.
    - d/iscsid.service: Let iscsid systemd job run in privileged containers
      but not in unprivileged ones
    - debian/extra/initramfs.local-top: handle iSCSI iBFT DHCP to correctly
      run ipconfig to gather all DHCP config info, including DNS search
      domain, which iBFT can't provide.
    - Remove initramfs interfaces stamp in case no iscsi devs mounted
      If iscsi root was requested, but no iscsi devices were mounted, remove
      the initramfs interfaces stamp file. Meaning, that on shutdown there is
      no 30s delay, whilst trying to re-establish iscsi login to perform a
      logout.
    - add IPv6 support
      + Source /run/net6-*.conf when needed.
      + debian/extra/initramfs.local-top: handle IPv6 configs being shipped
        in DEVICE6 or /run/net6-*.conf in the initramfs, so we can fill in
        /run/initramfs/open-iscsi.interface
    - d/rules, d/open-iscsi.finalrd, d/control: ship the finalrd iscsi
      logout hook and recommend finalrd and busybox for the logout hook
      to work.
    - Make iscsid socket-activated to only activate it as needed:
      + debian/open-iscsi.service: do not start or check iscsid.service
      + debian/rules: install and enable iscsid.socket
      + debian/open-iscsi.postinst:
        + run restart logic only if service is running on upgrade
        + drop no longer reachable upgrade path that affects iscsid
        + disable iscsid.service on upgrade
        + handle iscsid.socket to be started if the service is not running yet
      + d/iscsi-disk.rules: Add a udev rule so that iscsid.service will be
        run when udev disks are attached.
      + d/iscsid.service: Remove ExecStop= directive.
      + debian/tests/install: fix tests to work with socket activation
      + debian/patches/lp1755858-default-iscsid_conf-to-iscsid_socket.patch
    - debian/open-iscsi.service: Start open-iscsi systemd job when either
      /etc/iscsi/nodes or /sys/class/iscsi_session have content.
    - Prevent network interface that contains iscsi root from bouncing
      during boot or going down during shutdown if the system is using
      resolvconf or ifupdown:
      + d/iscsi-network-interface.rules
      + d/extra/net-interface-handler
    - debian/extra/initramfs.hook: add ib_iser to the list of modules
      included in the initramfs, so that we can in principle support
      iscsi root on infiniband.
    - debian/open-iscsi.kmod drop: (LP 1833586)
      no static module list is needed if we let iscsid load modules itself.
    - Stop producing udebs on i386 where we no longer have d-i or a kernel.
    - d/extra/initramfs.local-{top,bottom}: move removal of
      open-iscsi.interface file from local-top to local-bottom,
      and fix shell quoting issue that would result in /run/initramfs/
      open-iscsi.interface always being removed (LP 1872813)
    - d/rules: Don't FTBFS due to warnings new in gcc10 regarding bounds and
      initialization, because upstream's gcc10 support is incomplete. This
      change can be dropped when upstream has completed their gcc support.
    - d/README.Debian, d/extra/startup-checks.sh, d/open-iscsi-udeb.start,
      d/open-iscsi.postinst: Apply Ubuntu branding to iqn initiator name
  * Added changes
    - merge bug fix release 2.1.4 from upstream
    - Revert "Add patches from upstream" [upstream in 2.1.4]
    - d/control: Transition from libopeniscsiusr0.2.0 to libopeniscsiusr

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Thu, 01 Jul 2021 14:13:08 +0200

open-iscsi (2.1.3-5) unstable; urgency=medium

  [ Cyril Brulebois ]
  * [3b8b2d8] Revert "Set architecture for build to linux-any"
  * [1297e50] Adjust dh_auto_install and dh_makeshlibs overrides for the conditional udeb.

 -- Ritesh Raj Sarraf <rrs@debian.org>  Thu, 20 May 2021 19:52:30 +0530

open-iscsi (2.1.3-4) unstable; urgency=medium

  * [8142984] Set architecture for build to linux-any. This ensures that the
    library is built on the right set of architectures and dh_makeshlibs is
    invoked appropriately. (Closes: #987858)

 -- Ritesh Raj Sarraf <rrs@debian.org>  Tue, 04 May 2021 21:45:56 +0530

open-iscsi (2.1.3-3) unstable; urgency=medium

  * [47645a5] Make open-iscsi-udeb compatible with d-i.
    Thanks to Cyril Brulebois (Closes: #987568)

 -- Ritesh Raj Sarraf <rrs@debian.org>  Thu, 29 Apr 2021 13:43:35 +0530

open-iscsi (2.1.3-2) unstable; urgency=medium

  * [c3b7109] Fix FTCBFS:
    Let dh_auto_configure pass --host to iscsiuio/configure.
    Thanks to Helmut Grohne <helmut@subdivi.de> (Closes: #898758)
  * [efb5512] Add patches from upstream:
    Fix memory leak in iscsiadm, Fix iscsiadm segfault when exiting, and
    Fix iscsistart login issue when target is delayed. The last one should
    fix #980085. (Closes: #980085)

 -- Chris Hofstaedtler <zeha@debian.org>  Sun, 07 Feb 2021 19:23:13 +0000

open-iscsi (2.1.3-1ubuntu6) hirsute; urgency=medium

  * d/open-iscsi.finalrd: fix UID resolution issues in logout (LP: #1922976)
    Thanks to Michael Brown

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Thu, 18 Mar 2021 09:44:07 +0100

open-iscsi (2.1.3-1ubuntu5) hirsute; urgency=medium

  * make d/t/testuite python3 compatible (LP: #1919461)
    - backport changes from qa-regression-testing since we diverged
      - various tests: make py3 compliant, fix formatting a bit
      - tests: convert deprecated assertEquals() to assertEqual()
      - Remove all references to python-utils
    - d/t/testlib.py: update to last state from
      git+ssh://git.launchpad.net/qa-regression-testing
    - d/t/{control,testsuite}: bump to use python3
    - d/t/test-open-iscsi.py: switch shebang to python3
    - d/t/test-open-iscsi.py: adapt to updated testlib
  * Add patches from upstream [this is from Debian upload 2.1.3-2]:
    - Fix memory leak in iscsiadm, Fix iscsiadm segfault when exiting, and
    - Fix iscsistart login issue when target is delayed. The last one should
    - fix iscsi-root with delayed network (Closes: #980085)

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Thu, 18 Mar 2021 09:44:07 +0100

open-iscsi (2.1.3-1ubuntu4) hirsute; urgency=medium

  * Rebuild again so s390x pick up the right debhelper

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 24 Feb 2021 16:29:41 +0100

open-iscsi (2.1.3-1ubuntu3) hirsute; urgency=medium

  * No-change rebuild to drop the udeb package.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 22 Feb 2021 10:35:42 +0100

open-iscsi (2.1.3-1ubuntu2) hirsute; urgency=medium

  * Apply Ubuntu branding to iqn initiator name.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 17 Feb 2021 00:05:22 +0000

open-iscsi (2.1.3-1ubuntu1) hirsute; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - debian/tests: Add Ubuntu autopkgtest suite:
      - README-boot-test.md
      - tgt-boot-test: tests
      - test-open-iscsi.py
      - testlib.py
      - get-image
      - patch-image
      - testsuite
      - xkvm
    - d/iscsid.service: Let iscsid systemd job run in privileged containers
      but not in unprivileged ones
    - d/extra/initramfs.local-top: handle iSCSI iBFT DHCP to correctly
      run ipconfig to gather all DHCP config info, including DNS search
      domain, which iBFT can't provide.
    - Remove initramfs interfaces stamp in case no iscsi devs mounted.
      If iscsi root was requested, but no iscsi devices were mounted, remove
      the initramfs interfaces stamp file. Meaning, that on shutdown there is
      no 30s delay, whilst trying to re-establish iscsi login to perform a
      logout.
    - add IPv6 support
      - Source /run/net6-*.conf when needed.
      - d/extra/initramfs.local-top: handle IPv6 configs being shipped in
        DEVICE6 or /run/net6-*.conf in the initramfs, so we can fill in
        .interface
    - d/rules, d/open-iscsi.finalrd, d/control: ship the finalrd iscsi logout
      hook and recommend finalrd and busybox for the logout hook to work.
    - Make iscsid socket-activated to only activate it as needed:
      - debian/open-iscsi.service: do not start or check iscsid.service
      - debian/rules: install and enable iscsid.socket
      - debian/open-iscsi.postinst:
        - run restart logic only if service is running on upgrade
        - drop no longer reachable upgrade path that affects iscsid
        - disable iscsid.service on upgrade
        - handle iscsid.socket to be started if the service is not running yet
      - d/iscsi-disk.rules: Add a udev rule so that iscsid.service will be
        run when udev disks are attached.
      - d/iscsid.service: Remove ExecStop= directive.
      - debian/tests/install: fix tests to work with socket activation
      - debian/patches/lp1755858-default-iscsid_conf-to-iscsid_socket.patch
        [updated to match 2.1.2]
    - debian/open-iscsi.service: Start open-iscsi systemd job when either
      /etc/iscsi/nodes or /sys/class/iscsi_session have content.
    - Prevent network interface that contains iscsi root from bouncing
      during boot or going down during shutdown if the system is using
      resolvconf or ifupdown:
      - d/iscsi-network-interface.rules
      - d/extra/net-interface-handler
    - d/extra/initramfs.hook: add ib_iser to the list of modules included in
      the initramfs, so that we can in principle support iscsi root on
      infiniband.
    - d/open-iscsi.kmod drop: (LP #1833586)
      no static module list is needed if we let iscsid load modules itself.
    - Stop producing udebs on i386 where we no longer have d-i or a kernel.
    - d/extra/initramfs.local-{top,bottom}: move removal of
      open-iscsi.interface file from local-top to local-bottom, and fix shell
      quoting issue that would result in /run/initramfs/ open-iscsi.interface
      always being removed (LP #1872813)
    - debian/control, debian/rules: Fix libopeniscsiusr binary package
      name (LP 1892228).
    - d/rules: Don't FTBFS due to warnings new in gcc10 regarding bounds
      and initialization, because upstream's gcc10 support is incomplete.
      This change can be dropped when upstream has completed their gcc
      support.

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Tue, 19 Jan 2021 13:29:46 +0100

open-iscsi (2.1.3-1) unstable; urgency=medium

  * [afee47d] New upstream version 2.1.3
    - Fixes CVE-2020-13987, CVE-2020-17437, CVE-2020-13988.
  * [236761e] Mark open-iscsi, iscsiuio M-A: foreign (Closes: #941099)
  * [3e25b6a] d/README.source: remove obsolete get-orig-source note
  * [296cd55] Explicitly set build date for docs.
    Thanks to Chris Lamb <lamby@debian.org> (Closes: #975046)

 -- Chris Hofstaedtler <zeha@debian.org>  Thu, 24 Dec 2020 00:09:46 +0000

open-iscsi (2.1.2-2) unstable; urgency=medium

  * Source-only upload to allow testing migration.
  * Add myself to Uploaders.

 -- Chris Hofstaedtler <zeha@debian.org>  Sun, 06 Dec 2020 23:25:11 +0000

open-iscsi (2.1.2-1ubuntu1) hirsute; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - debian/tests: Add Ubuntu autopkgtest suite:
      - README-boot-test.md
      - tgt-boot-test: tests
      - test-open-iscsi.py
      - testlib.py
      - get-image
      - patch-image
      - testsuite
      - xkvm
    - d/iscsid.service: Let iscsid systemd job run in privileged containers
      but not in unprivileged ones
    - d/extra/initramfs.local-top: handle iSCSI iBFT DHCP to correctly
      run ipconfig to gather all DHCP config info, including DNS search
      domain, which iBFT can't provide.
    - Remove initramfs interfaces stamp in case no iscsi devs mounted.
      If iscsi root was requested, but no iscsi devices were mounted, remove
      the initramfs interfaces stamp file. Meaning, that on shutdown there is
      no 30s delay, whilst trying to re-establish iscsi login to perform a
      logout.
    - add IPv6 support
      - Source /run/net6-*.conf when needed.
      - d/extra/initramfs.local-top: handle IPv6 configs being shipped in
        DEVICE6 or /run/net6-*.conf in the initramfs, so we can fill in
        .interface
    - d/rules, d/open-iscsi.finalrd, d/control: ship the finalrd iscsi logout
      hook and recommend finalrd and busybox for the logout hook to work.
    - Make iscsid socket-activated to only activate it as needed:
      - debian/open-iscsi.service: do not start or check iscsid.service
      - debian/rules: install and enable iscsid.socket
      - debian/open-iscsi.postinst:
        - run restart logic only if service is running on upgrade
        - drop no longer reachable upgrade path that affects iscsid
        - disable iscsid.service on upgrade
        - handle iscsid.socket to be started if the service is not running yet
      - d/iscsi-disk.rules: Add a udev rule so that iscsid.service will be
        run when udev disks are attached.
      - d/iscsid.service: Remove ExecStop= directive.
      - debian/tests/install: fix tests to work with socket activation
      - debian/patches/lp1755858-default-iscsid_conf-to-iscsid_socket.patch
        [updated to match 2.1.2]
    - debian/open-iscsi.service: Start open-iscsi systemd job when either
      /etc/iscsi/nodes or /sys/class/iscsi_session have content.
    - Prevent network interface that contains iscsi root from bouncing
      during boot or going down during shutdown if the system is using
      resolvconf or ifupdown:
      - d/iscsi-network-interface.rules
      - d/extra/net-interface-handler
    - d/extra/initramfs.hook: add ib_iser to the list of modules included in
      the initramfs, so that we can in principle support iscsi root on
      infiniband.
    - d/open-iscsi.kmod drop: (LP #1833586)
      no static module list is needed if we let iscsid load modules itself.
    - Stop producing udebs on i386 where we no longer have d-i or a kernel.
    - d/extra/initramfs.local-{top,bottom}: move removal of
      open-iscsi.interface file from local-top to local-bottom, and fix shell
      quoting issue that would result in /run/initramfs/ open-iscsi.interface
      always being removed (LP #1872813)
    - debian/control, debian/rules: Fix libopeniscsiusr binary package
      name (LP 1892228).
    - d/rules: Don't FTBFS due to warnings new in gcc10 regarding bounds
      and initialization, because upstream's gcc10 support is incomplete.
      This change can be dropped when upstream has completed their gcc
      support.

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Thu, 03 Dec 2020 14:44:39 +0100

open-iscsi (2.1.2-1) unstable; urgency=medium

  * [7f10701] New upstream version 2.1.2
  * [51e4a23] Drop all patches
  * [94b33e9] Fix Vcs-Browser link
  * [36f52c9] Add a news entry about linkage with OpenSSL
  * [8bee5c7] Update d/copyright with copyright and license information
  * [02bacbf] Remove unused code to parse changelog
  * [72bc9ac] Set libopensicsiusr-dev to arch:all as it has no
    architecture dependent files

 -- Ritesh Raj Sarraf <rrs@debian.org>  Sun, 15 Nov 2020 17:09:06 +0530

open-iscsi (2.1.1-2) unstable; urgency=medium

  * Upload to Unstable
  * [71e9333] Set to master
  * [dd49a5a] Add patches to fix compiler warnings

 -- Ritesh Raj Sarraf <rrs@debian.org>  Fri, 14 Aug 2020 12:32:16 +0530

open-iscsi (2.1.1-1ubuntu2) groovy; urgency=medium

  * debian/control, debian/rules: Fix libopeniscsiusr binary package
    name (LP: #1892228).
  * debian/rules: Fix deprecated warning for dh_installinit that
    --no-restart-on-upgrade has been replaced by --no-stop-on-upgrade,
    which is equivalent in functionality (ref deb #837528).

 -- Rafael David Tinoco <rafaeldtinoco@ubuntu.com>  Wed, 19 Aug 2020 19:08:47 +0000

open-iscsi (2.1.1-1ubuntu1) groovy; urgency=medium

  * New upstream version 2.1.1
  * d/rules: Don't FTBFS due to warnings new in gcc10 regarding bounds
    and initialization, because upstream's gcc10 support is incomplete.
    This change can be dropped when upstream has completed their gcc
    support.
  * Merge with Debian unstable (LP: #1891374). Remaining changes:
    - debian/tests: Add Ubuntu autopkgtest suite:
      - README-boot-test.md
      - tgt-boot-test: tests
      - test-open-iscsi.py
      - testlib.py
      - get-image
      - patch-image
      - testsuite
      - xkvm
    - d/iscsid.service: Let iscsid systemd job run in privileged containers
      but not in unprivileged ones
    - d/extra/initramfs.local-top: handle iSCSI iBFT DHCP to correctly
      run ipconfig to gather all DHCP config info, including DNS search
      domain, which iBFT can't provide.
    - Remove initramfs interfaces stamp in case no iscsi devs mounted.
      If iscsi root was requested, but no iscsi devices were mounted, remove
      the initramfs interfaces stamp file. Meaning, that on shutdown there is
      no 30s delay, whilst trying to re-establish iscsi login to perform a
      logout.
    - add IPv6 support
      - Source /run/net6-*.conf when needed.
      - d/extra/initramfs.local-top: handle IPv6 configs being shipped in
        DEVICE6 or /run/net6-*.conf in the initramfs, so we can fill in
        .interface
    - d/rules, d/open-iscsi.finalrd, d/control: ship the finalrd iscsi logout
      hook and recommend finalrd and busybox for the logout hook to work.
    - Make iscsid socket-activated to only activate it as needed:
      - debian/open-iscsi.service: do not start or check iscsid.service
      - debian/rules: install and enable iscsid.socket
      - debian/open-iscsi.postinst:
        - run restart logic only if service is running on upgrade
        - drop no longer reachable upgrade path that affects iscsid
        - disable iscsid.service on upgrade
        - handle iscsid.socket to be started if the service is not running yet
      - d/iscsi-disk.rules: Add a udev rule so that iscsid.service will be
        run when udev disks are attached.
      - d/iscsid.service: Remove ExecStop= directive.
      - debian/tests/install: fix tests to work with socket activation
      - debian/patches/lp1755858-default-iscsid_conf-to-iscsid_socket.patch
    - debian/open-iscsi.service: Start open-iscsi systemd job when either
      /etc/iscsi/nodes or /sys/class/iscsi_session have content.
    - Prevent network interface that contains iscsi root from bouncing
      during boot or going down during shutdown if the system is using
      resolvconf or ifupdown:
      - d/iscsi-network-interface.rules
      - d/extra/net-interface-handler
    - d/extra/initramfs.hook: add ib_iser to the list of modules included in
      the initramfs, so that we can in principle support iscsi root on
      infiniband.
    - d/open-iscsi.kmod drop: (LP #1833586)
      no static module list is needed if we let iscsid load modules itself.
    - Stop producing udebs on i386 where we no longer have d-i or a kernel.
    - Use python2 instead of python in the autopkg tests: Next step for
      open-iscsi is to revist all iscsi-root feature and autopkgtests, so
      keep python2 to avoid re-work later.
    - d/extra/initramfs.local-{top,bottom}: move removal of
      open-iscsi.interface file from local-top to local-bottom, and fix shell
      quoting issue that would result in /run/initramfs/ open-iscsi.interface
      always being removed (LP #1872813)

 -- Rafael David Tinoco <rafaeldtinoco@ubuntu.com>  Thu, 13 Aug 2020 04:29:43 +0000

open-iscsi (2.1.1-1) experimental; urgency=medium

  [ Rafael David Tinoco ]
  * New upstream version 2.1.1:
    - [76d0a49] Remove OpenSSL dependency due to GPL license conflict
    - [5f12ebf] Bump compatibility
    - [44034fb] Updates to debian/rules:
      - Update package description from upstream documentation
      - Update Standards-Version
      - Update Build-Depends and Depends
      - Create new needed packages (open-iscsi userland library)
    - [f4f0987] Update copyright and fix lintian complains
    - [37cef72] status command defined to show active sessions
    - [4b93bb8] Remove old post-installation workaround and update path
    - [0a5ec77] Remove rest of unneeded old update path (abort-upgrade)
    - [a4762f0] Remove rest of unneeded old update path (upgrade)
    - [6915ce5] iscsid.service is needed whenever iscsi disks are added
    - [1002212] Update tests dependencies
    - [d3b6647] Workaround for Flex 2.5.35 is not needed anymore
    - [396b15a] Use debian/rules for dh overrides (easier to manage)
    - [3427d74] Remove old openssl patch to licensing issue:
      - d/p/debian/dont-link-against-openssl.patch
    - [dc3cfaf] Drop unneeded patches for v2.1.1:
      - bugfixes/no-make-clean-kernel.patch (2.0.875-47-gb4a1cef)
      - debian/var-run-lock.patch (2.0.877-27-g0f30033)
      - debian/udeb-without-libmount.patch (libmount1-dbgsym:2.35.1-5)
      - bugfixes/need_iscsiuio_for_hardware_offload.patch (2.0.873-214-gf780a82)
      - bugfixes/move_offload_discovery_to_fw_get_targets.patch (2.0.873-215-g3ae35d3)
      - bugfixes/fix_iscsiuio_long_options.patch (2.0.873-216-g0685179)
      - security/Check-for-root-peer-user-for-iscsiuio-IPC.patch (2.0.875-14-ge313bd6)
      - security/iscsiuio-should-ignore-bogus-iscsid-broadcast-packet.patch (2.0.875-15-gb9c3368)
      - security/Ensure-all-fields-in-iscsiuio-IPC-response-are-set.patch (2.0.875-16-gbe58eed)
      - security/Do-not-double-close-IPC-file-stream-to-iscsid.patch (2.0.875-17-g5504053)
      - security/Ensure-strings-from-peer-are-copied-correctly.patch (2.0.875-18-g85f647c)
      - security/Skip-useless-strcopy-and-validate-CIDR-length.patch (2.0.875-19-ga7a9613)
      - security/Check-iscsiuio-ping-data-length-for-validity.patch (2.0.875-20-g59ede2c)
      - include-sys-sysmacros.h-to-properly-define-minor.patch (2.0.875-10-g6d68ef5)

  [ Ritesh Raj Sarraf ]
  * [1078a22] Set debian branch to experimental
  * [59b9ef1] Install docs for the new libopeniscsiusr package

 -- Ritesh Raj Sarraf <rrs@debian.org>  Tue, 23 Jun 2020 20:38:47 +0530

open-iscsi (2.0.874-7.1ubuntu6.1) focal; urgency=medium

   [ Ben Swartzlander ]
   * allow open-iscsi to disable auto-scan feature (LP: #1877617)
     - d/p/lp1877617-Allow-disabling-auto-LUN-scans.patch
     - d/p/lp1877617-Fix-manual-LUN-scans-feature.patch

 -- Rafael David Tinoco <rafaeldtinoco@ubuntu.com>  Mon, 11 May 2020 02:03:33 +0000

open-iscsi (2.0.874-7.1ubuntu6) focal; urgency=medium

  * d/extra/initramfs.local-{top,bottom}: move removal of open-iscsi.interface
    file from local-top to local-bottom, and fix shell quoting issue that
    would result in /run/initramfs/open-iscsi.interface always being removed
    (LP: #1872813)

 -- Daniel Watkins <oddbloke@ubuntu.com>  Tue, 14 Apr 2020 16:54:37 -0400

open-iscsi (2.0.874-7.1ubuntu5) focal; urgency=medium

  * Use python2 instead of python in the autopkg tests.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 30 Jan 2020 10:14:16 +0100

open-iscsi (2.0.874-7.1ubuntu3) eoan; urgency=medium

  * Stop producing udebs on i386 where we no longer have d-i or a kernel.

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 09 Oct 2019 14:10:37 -0600

open-iscsi (2.0.874-7.1ubuntu2) eoan; urgency=medium

  * debian/open-iscsi.kmod: drop; no static module list is needed if we let
    iscsid load modules itself.  LP: #1833586.
  * debian/extra/initramfs.hook: add ib_iser to the list of modules
    included in the initramfs, so that we can in principle support iscsi
    root on infiniband.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 20 Jun 2019 13:48:46 -0700

open-iscsi (2.0.874-7.1ubuntu1) eoan; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/tests: Add Ubuntu autopkgtest.
    - debian/iscsi-network-interface.rules, debian/net-interface-handler,
      debian/open-iscsi.install:
      Prevent network interface that contains iscsi root from bouncing
      during boot or going down during shutdown if the system is using
      resolvconf or ifupdown.
    - Let iscsid systemd job run in privileged containers but not in
      unprivileged ones
    - Start open-iscsi systemd job when either /etc/iscsi/nodes or
      /sys/class/iscsi_session have content
    - add IPv6 support
      + Source /run/net6-*.conf when needed.
      + debian/extra/initramfs.local-top: handle IPv6 configs being
        shipped in DEVICE6 or /run/net6-*.conf in the initramfs, so we
        can fill in /run/initramfs/open-iscsi.interface
    - make iscsid socket-activated to only activate it as needed
      + debian/iscsid.socket: systemd socket file for iscsid
      + debian/open-iscsi.service: do not start or check iscsid.service
      + debian/rules: install and enable iscsid.socket
      + debian/patches/iscid-conf-use-systemd.socket-patch: default to the
        socket
      + debian/open-iscsi.postinst:
        * run restart logic only if service is running on upgrade
        * drop no longer reachable upgrade path that affects iscsid
        * disable iscsid.service on upgrade
        * handle iscsid.socket to be started if the service is not running
          yet
      + d/iscsi-disk.rules: Add a udev rule so that iscsid.service will be
        run when udev disks are attached.
      + d/iscsid.service: Remove ExecStop= directive.
      + debian/tests/install: fix tests to work with socket activation
    - Ship finalrd logout hook.
    - debian/extra/initramfs.local-top: handle iSCSI iBFT DHCP to correctly
      run ipconfig to gather all DHCP config info, including DNS search
      domain, which iBFT can't provide.
    - If iscsi root was requested, but no iscsi devices were mounted, remove
      the initramfs interfaces stamp file. Meaning, that on shutdown there
      is no 30s delay, whilst trying to re-establish iscsi login to perform
      a logout.
  * Dropped changes, included in Debian:
    - Fix fail to build from source due to undefined reference to
      minor
  * Drop breaks on never-released version of finalrd.
  * debian/net-interface-handler: drop upstart support, unused since bionic.
  * Drop cleanup of upstart jobs, no longer needed post bionic.
  * debian/tests/daemon: drop, unused.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 29 Apr 2019 16:13:37 -0700

open-iscsi (2.0.874-7) unstable; urgency=medium

  * [eeda27c] Enable back pristine-tar as we have now committed it
    from the old upload

 -- Ritesh Raj Sarraf <rrs@debian.org>  Sun, 07 Oct 2018 09:57:48 +0530

open-iscsi (2.0.874-6) unstable; urgency=medium

  * [645e13b] Switch packaging to Salsa (Closes: #899771)
  * [9c86242] Add patch to fix FTBFS for missing macro.
    Thanks to Scott Moser (Closes: #908160)

 -- Ritesh Raj Sarraf <rrs@debian.org>  Fri, 05 Oct 2018 11:31:19 +0530

open-iscsi (2.0.874-5ubuntu15) disco; urgency=medium

  * d/iscsid.service: Remove ExecStop= directive. Letting systemd
    handle termination prevents restart failures. (LP: #1821255)

 -- Heitor R. Alves de Siqueira <halves@canonical.com>  Thu, 28 Mar 2019 10:21:24 -0300

open-iscsi (2.0.874-5ubuntu14) disco; urgency=medium

  * debian/iscsi-disk.rules: Fix bug with LVM on top of iscsi devices.
    (LP: #1807978)

 -- Scott Moser <smoser@ubuntu.com>  Tue, 11 Dec 2018 19:01:14 -0500

open-iscsi (2.0.874-5ubuntu13) disco; urgency=medium

  [ Robert C Jennings & Dimitri John Ledkov ]
  * If iscsi root was requested, but no iscsi devices were mounted, remove
    the initramfs interfaces stamp file. Meaning, that on shutdown there
    is no 30s delay, whilst trying to re-establish iscsi login to perform
    a logout. LP: #1800681

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Sun, 09 Dec 2018 22:29:20 +0000

open-iscsi (2.0.874-5ubuntu12) disco; urgency=medium

  [Scott Moser]
  * debian/extra/initramfs.local-top: handle iSCSI iBFT DHCP to correctly
    run ipconfig to gather all DHCP config info, including DNS search
    domain, which iBFT can't provide.  (LP: #1806777)

 -- Dan Streetman <ddstreet@canonical.com>  Wed, 05 Dec 2018 11:28:12 -0500

open-iscsi (2.0.874-5ubuntu11) disco; urgency=medium

  * debian/tests/test-open-iscsi.py: Fix called process error.
    If no image was available for a release, a NameError exception would be
    raised.

 -- Scott Moser <smoser@ubuntu.com>  Wed, 14 Nov 2018 16:50:29 -0500

open-iscsi (2.0.874-5ubuntu10) disco; urgency=medium

  * d/iscsi-disk.rules, d/tests: Add a udev rule so that iscsid.service
    will be run when udev disks are attached.  (LP: #1802354)
  * debian/tests: improve tgt boot test
     - disable snapd and snap.seeded services to avoid unnecessary
       resource consumption during tests.
     - save artifacts from the test run.

 -- Scott Moser <smoser@ubuntu.com>  Wed, 14 Nov 2018 16:05:46 -0500

open-iscsi (2.0.874-5ubuntu9) cosmic; urgency=medium

  * d/net-interface-handler: replace 'domainsearch' with the correct
    configuration option 'search' in net-interface-handler (LP: #1791108)

 -- Victor Tapia <victor.tapia@canonical.com>  Mon, 17 Sep 2018 15:58:34 +0200

open-iscsi (2.0.874-5ubuntu8) cosmic; urgency=medium

  * d/tests: insert some debug units in an attempt to diagnose any
    occurences of bug 1788188.
  * Fix fail to build from source due to undefined reference to
    minor (LP: #1791154)

 -- Scott Moser <smoser@ubuntu.com>  Tue, 21 Aug 2018 13:33:06 -0400

open-iscsi (2.0.874-5ubuntu7) cosmic; urgency=medium

  * d/tests: make interactive use of tgt-boot-test more usable by
    only using 'timeout' from the test harness.
  * debian/tests/README-boot-test.md: minor doc fixes and whitespace.
  * d/net-interface-handler: Apply changes only for the iscsi-root interface.
    (LP: #1785108)

 -- Scott Moser <smoser@ubuntu.com>  Tue, 07 Aug 2018 16:37:13 -0400

open-iscsi (2.0.874-5ubuntu6) cosmic; urgency=medium

  * Ship finalrd logout hook.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 03 Aug 2018 15:03:51 +0100

open-iscsi (2.0.874-5ubuntu5) cosmic; urgency=medium

  * Harden dep8 tests against effects due to slow execution on Launchpad
    infrastructure (LP: #1732028).
    - debian/tests/patch-image: remove problematic fstab entries
    - debian/tests/tgt-boot-test: ran xkvm in verbose mode

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Thu, 19 Jul 2018 18:22:39 +0200

open-iscsi (2.0.874-5ubuntu4) cosmic; urgency=medium

  * debian/tests/install: ignore the potential stderr of the probing command
    that is meant to activate iscsid indirectly via the socket.

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Wed, 30 May 2018 15:42:12 +0200

open-iscsi (2.0.874-5ubuntu3) cosmic; urgency=medium

  * make iscsid socket activated to only activate it as-needed (LP: #1755858)
    - debian/iscsid.socket: systemd socket file for iscsid
    - debian/open-iscsi.service: do not start or check iscsid.service
    - debian/rules: install and enable iscsid.socket
    - debian/patches/iscid-conf-use-systemd.socket-patch: default to the socket
    - debian/open-iscsi.postinst:
      + run restart logic only if service is running on upgrade
      + drop no more reachable upgrade path that affects iscsid
      + disable iscsid.service on upgrade
      + handle iscsid.socket to be started if the service is not running yet
    - debian/tests/install: fix tests to work with socket activation

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Wed, 23 May 2018 15:50:01 +0200

open-iscsi (2.0.874-5ubuntu2) bionic; urgency=medium

  * debian/tests:
     - tgt-boot-test: Use 'timeout' to force a 60m timeout of the boot test.
     - README-boot-test.md: document environment variables BOOT_TIMEOUT
       and _USE_KVM.

 -- Scott Moser <smoser@ubuntu.com>  Wed, 21 Feb 2018 13:19:17 -0500

open-iscsi (2.0.874-5ubuntu1) bionic; urgency=low

  * Merge with Debian unstable. Remaining changes:
    - debian/tests: Add Ubuntu autopkgtests.
    - debian/iscsi-network-interface.rules, debian/net-interface-handler,
      debian/open-iscsi.install:
      Prevent network interface that contains iscsi root from bouncing
      during boot or going down during shutdown.
      Integrates with resolvconf and initramfs code that writes
      /run/initramfs/open-iscsi.interface
    - debian/open-iscsi.maintscript: clean up the obsolete
      iscsi-network-interface upstart job, file on upgrade.
    - Let iscsid systemd job run in privileged containers but not in
      unprivileged ones
    - Start open-iscsi systemd job when either /etc/iscsi/nodes or
      /sys/class/iscsi_session have content
      Based on patch by Nish Aravamudan, thanks! (LP #1576341)
    - add IPv6 support
      + add support for IPV6{DOMAINSEARCH,DNS0,DNS1} to net-interface-handler
        LP #1621507
      + Source /run/net6-*.conf when needed.
      + debian/extra/initramfs.local-top: handle IPv6 configs being
        shipped in DEVICE6 or /run/net6-*.conf in the initramfs, so we
        can fill in /run/initramfs/open-iscsi.interface (LP #1621507)

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 12 Jan 2018 14:00:59 +0000

open-iscsi (2.0.874-5) unstable; urgency=high

  * [aeb86f7] Fix multiple security issues in iscsiuio. (CVE-2017-17840)
    (Closes: #885021)

 -- Christian Seiler <christian@iwakd.de>  Sat, 23 Dec 2017 11:30:44 +0100

open-iscsi (2.0.874-4ubuntu5) bionic; urgency=medium

  * debian/tests/patch-image: mount auxilary filesystems before upgrading
    packages. Fixes ADT tests, when triggered by packages, that need
    /proc, /dev, etc mounted to complete the upgrade.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 03 Jan 2018 12:21:05 +0000

open-iscsi (2.0.874-4ubuntu4) bionic; urgency=medium

  * debian/tests/test-open-iscsi.py: skip test if cloud image is unavailable.
    This solves flaky tests in restricted network environments as well as in
    the short period after opening a new release (LP: #1731907).

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Thu, 16 Nov 2017 12:06:34 +0100

open-iscsi (2.0.874-4ubuntu3) artful; urgency=medium

  * debian/tests/xkvm: do not use kvm (-enable-kvm) by default if
    operating inside a vm.  nested kvm is finicky.

 -- Scott Moser <smoser@ubuntu.com>  Wed, 11 Oct 2017 18:14:08 -0400

open-iscsi (2.0.874-4ubuntu2) artful; urgency=medium

  * debian/tests/test-open-iscsi.py: query systemd-resolved if present.
    Ubuntu images now have systemd-resolved managing /etc/resolv.conf
    so support test if that is the case (LP: #1715468).

 -- Scott Moser <smoser@ubuntu.com>  Wed, 06 Sep 2017 16:20:16 -0400

open-iscsi (2.0.874-4ubuntu1) artful; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - debian/tests: Add Ubuntu autopkgtests.
    - debian/iscsi-network-interface.rules, debian/net-interface-handler,
      debian/open-iscsi.install:
      Prevent network interface that contains iscsi root from bouncing
      during boot or going down during shutdown.
      Integrates with resolvconf and initramfs code that writes
      /run/initramfs/open-iscsi.interface
    - debian/open-iscsi.maintscript: clean up the obsolete
      iscsi-network-interface upstart job, file on upgrade.
    - Let iscsid systemd job run in privileged containers but not in
      unprivileged ones
    - Start open-iscsi systemd job when either /etc/iscsi/nodes or
      /sys/class/iscsi_session have content
      Based on patch by Nish Aravamudan, thanks! (LP #1576341)
    - add IPv6 support
      + add support for IPV6{DOMAINSEARCH,DNS0,DNS1} to net-interface-handler
        LP #1621507
      + Source /run/net6-*.conf when needed.
      + debian/extra/initramfs.local-top: handle IPv6 configs being
        shipped in DEVICE6 or /run/net6-*.conf in the initramfs, so we
        can fill in /run/initramfs/open-iscsi.interface (LP #1621507)
  * Drop:
    - d/extra/initramfs.local-top: When booting from iBFT,
      set the PROTO= entry in /run/net-*.conf accordingly,
      so that other tools, such as cloud-init, can use that
      information. (cloud-init fails if the current PROTO=none
      is used.) (LP: #1684039) (Closes: #866213)
      [ Fixed in Debian 2.0.874-4 ]
  * d/t/test-open-iscsi.py: drop test_daemon test
    - With the updates to the systemd units, the services do not run
      unless iSCSI is configured.

 -- Nishanth Aravamudan <nish.aravamudan@canonical.com>  Tue, 08 Aug 2017 16:16:27 -0700

open-iscsi (2.0.874-4) unstable; urgency=medium

  * [0347300] initramfs: populate PROTO= entry in /run/net-*.conf from iBFT
    (Closes: #866213)

 -- Christian Seiler <christian@iwakd.de>  Sun, 02 Jul 2017 18:01:09 +0200

open-iscsi (2.0.874-3) unstable; urgency=medium

  * [e506ea0] udeb: don't update initramfs when iSCSI is not used.
    (Closes: #863435)

 -- Christian Seiler <christian@iwakd.de>  Sun, 18 Jun 2017 22:01:22 +0200

open-iscsi (2.0.874-2ubuntu3) artful; urgency=medium

  * d/t/test-open-iscsi.py: drop test_daemon test
    - With the updates to the systemd units, the services do not run
      unless iSCSI is configured.

 -- Nishanth Aravamudan <nish.aravamudan@canonical.com>  Tue, 08 Aug 2017 16:05:29 -0700

open-iscsi (2.0.874-2ubuntu2) artful; urgency=medium

  * d/extra/initramfs.local-top: When booting from iBFT,
    set the PROTO= entry in /run/net-*.conf accordingly,
    so that other tools, such as cloud-init, can use that
    information. (cloud-init fails if the current PROTO=none
    is used.) (LP: #1684039) (Closes: #866213)

 -- Eric Desrochers <eric.desrochers@canonical.com>  Wed, 05 Jul 2017 09:02:12 -0400

open-iscsi (2.0.874-2ubuntu1) artful; urgency=medium

  [ Nishanth Aravamudan ]
  * Merge with Debian unstable. Remaining changes:
    - debian/tests: Add Ubuntu autopkgtests.
    - debian/iscsi-network-interface.rules, debian/net-interface-handler,
      debian/open-iscsi.install:
      Prevent network interface that contains iscsi root from bouncing
      during boot or going down during shutdown.
      Integrates with resolvconf and initramfs code that writes
      /run/initramfs/open-iscsi.interface
    - debian/open-iscsi.maintscript: clean up the obsolete
      iscsi-network-interface upstart job, file on upgrade.
    - add IPv6 support
      + add support for IPV6{DOMAINSEARCH,DNS0,DNS1} to net-interface-handler
        LP #1621507
      + Source /run/net6-*.conf when needed.
      + debian/extra/initramfs.local-top: handle IPv6 configs being
        shipped in DEVICE6 or /run/net6-*.conf in the initramfs, so we
        can fill in /run/initramfs/open-iscsi.interface (LP #1621507)
  * Drop:
    - Make systemd job not run in containers (LP #1576341)
      [ This prevents running iscsi in privileged containers.
        Fixed differently in this upload. ]
    - Cherry-pick from Debian git repository (Christian Seiler):
      + open-iscsi-udeb: drop Depends: libnss-files-udeb
        (Closes #819685)
      [ Fixed in Debian ]
     - d/extra/initramfs.local-top whitespace change
     [ previously undocumented ]

  [ Balint Reczey ]
  * Let iscsid systemd job run in privileged containers but not in
    unprivileged ones
  * Start open-iscsi systemd job when either /etc/iscsi/nodes or
    /sys/class/iscsi_session have content
    Based on patch by Nish Aravamudan, thanks! (LP #1576341)

 -- Nishanth Aravamudan <nish.aravamudan@canonical.com>  Tue, 09 May 2017 09:24:23 -0700

open-iscsi (2.0.874-2) unstable; urgency=medium

  [ Christian Seiler ]
  * Upload to sid.
  * [dfc0d4a] Add some information about hardware offloading to README.Debian.
  * [e5e3428] Properly dismantle dm-crypt devices on shutdown.
    (Closes: #850211)

  [ Andrew Patterson ]
  * [dafd2de] Use /run/initramfs/iscsiuio.pid for pid file in initramfs
  * [68f161f] Add iscsuio dependent libgcc_s library to debian initramfs
    (Closes: #850060)
  * [62f0717] Add Chelsio offload modules to initramfs
  * [c1d67ee] Revert "Don't ignore offloading NICs in iscsistart."
  * [b61d8ba] iscsiuio must be present to use hardware offload for bnx2x
  * [fda3118] Move iscsistart offload discovery/setup to fw_get_targets()
  * [397d886] Fix iscsiuio long options
  * These changes make it possible to have the root filesystem on an iSCSI
    volume and boot the system using hardware offloading.

 -- Christian Seiler <christian@iwakd.de>  Wed, 25 Jan 2017 13:12:44 +0100

open-iscsi (2.0.874-2~exp1) experimental; urgency=medium

  * [c451bcf] debian/tests: drop specific sysvinit tests, assume testbed
    setup for that instead.
  * [f65cf91] debian/tests/find_free_ip.py: fix error when processing
    empty lines in /etc/resolv.conf.
  * [02c3051] Don't ignore offloading NICs in iscsistart. (Closes: #850057)
  * [e47af5b] Add support for iscsiuio offloading to the initramfs.
    (Closes: #850060)
  * [9ab14bb] Build with -DOFFLOAD_BOOT_SUPPORTED for rootfs on offloaded
    iSCSI.

 -- Christian Seiler <christian@iwakd.de>  Wed, 04 Jan 2017 19:00:08 +0100

open-iscsi (2.0.874-1) unstable; urgency=medium

  [ Christian Seiler ]
  * [cfea3bc] New upstream version 2.0.874
  * [b0bf3f3] debian/patches: drop patches applied upstream
  * [6699561] debian/control: add lsb-base dependency for init script
  * [8ede6f7] debian/tests: use targetcli-fb for nested tests
  * [b7ba04a] debian/tests: bump Depends of autopkgtest, due to use of new
    features
  * [6f37806] debian/rules: explicitly regenerate lexers/parsers during
    build

  [ Frank Fegert ]
  * [6004a7e] umountiscsi.sh: properly detect iSCSI disks from offloaded
    sessions

 -- Christian Seiler <christian@iwakd.de>  Sat, 29 Oct 2016 17:44:00 +0200

open-iscsi (2.0.873+git2.f951a06b-1) unstable; urgency=medium

  * [ace9f2a] New upstream version 2.0.873+git2.f951a06b
        * Fix locking issue in iscsiuio
        * iscsiadm: fix parallel rescan handling of exit codes
        * Better TCP connection error handling
  * [6a4ba6a] debian/patches: rebase onto new upstream version
  * [d05fe0e] Only deactivate LVM VGs we're supposed to. (Closes: #836135)
  * [3b387b7] debian/patches/bugfixes/additional-spelling.patch:
    fix some more typos

 -- Christian Seiler <christian@iwakd.de>  Sun, 18 Sep 2016 12:06:11 +0200

open-iscsi (2.0.873+git1.4c1f2d90-2) unstable; urgency=medium

  * [5a7879c] remove debian/source/local-options
  * [f5d5cbb] Temporarily build udeb without libmount (Closes: #834241)
  * [520129b] open-iscsi-udeb: update initramfs after copying
    configuration to target system

 -- Christian Seiler <christian@iwakd.de>  Mon, 22 Aug 2016 08:31:02 +0200

open-iscsi (2.0.873+git1.4c1f2d90-1) unstable; urgency=medium

  * Upload to sid.
  * [0f85c07] debian/copyright: add copyright information for debian/* and
    debian/patches/* (accidentally dropped when converting to DEP-5)
  * [fc39696] debian/control: tighten libisns-dev dependency to >= 0.96-4~
    (open-isns renamed the library udeb, this ensures that the new name
    will be picked up.)
  * [60d3f4a] iscsiuio: fix reproducibility issues (build date)
  * [328a368] debian/gbp.conf: don't specify experimental branch anymore
  * [d44c9d4] debian/extra/activate-storage.sh: work around race condition
    against the kernel scanning for partitions (Closes: #833917)

 -- Christian Seiler <christian@iwakd.de>  Fri, 12 Aug 2016 22:57:55 +0200

open-iscsi (2.0.873+git1.4c1f2d90-1~exp1) experimental; urgency=medium

  * [16ff653] New Upstream version 2.0.873+git1.4c1f2d90
    (Closes: #627908)
  * [313215d] debian/watch, debian/control: new upstream URIs
  * [0930362] debian/patches: rebase on current git master,
    drop upstream-applied patches
  * [466d970] Link against non-OpenSSL-variant of libisns
    (GPL vs. OpenSSL license)
  * [6cf412f] debian/control: add Build-Depends of new upstream version
  * [147b55b] debian/control: use cgit instead of gitweb for Vcs-Browser
  * [49dd8a2] debian/rules: simplify due to upstream build system
    improvements
  * [533a744] debian/rules: add dh_... --remaining-packages where
    appropriate
  * [9ae0be5] remove obsolete files (debian/*.modules{,.in})
  * [7236298] debian/*: improve readability via wrap-and-sort
  * [c68d51f] don't run make clean in kernel/ subdir
  * [607f4d1] debian/gbp.conf: switch to experimental branch
  * [a3b1a24] README.Debian: fix spelling error
  * [d1cdd8e] cherry-pick upstream PR #17 (spelling fixes)
  * [fd0f467] cherry-pick upstream PR #16 (man warnings)
  * [c55b9c2] cherry-pick upstream PR #13 (typo)
  * [4786175] cherry-pick upstream PR #2 (typo)
  * [3e79826] additional spelling fixes (found by lintian)
  * [ee0a6a5] Add iscsiuio binary package (Closes: #699240)
  * [ad61aa0] debian/docs: install additional upstream docs
  * [419e1b6] debian/copyright: move to DEP-5 style format
  * [768632b] TODO.Debian: remove resolved issues
  * [17767e9] Add autopkgtest functionality tests.

 -- Christian Seiler <christian@iwakd.de>  Fri, 29 Jul 2016 19:32:25 +0200

open-iscsi (2.0.873+git0.3b4b4500-15) unstable; urgency=medium

  [ Christian Seiler ]
  * [ec1cc4b] debian/control: Use Arch: linux-any instead of Arch: any
  * [2f35aeb] open-iscsi-udeb: drop Depends: libnss-files-udeb
    (Closes: #819685)
  * [2af4f32] debian/control: Bump Standards-Version to 3.9.8.
    (No changes.)

  [ Adriano Rafael Gomes ]
  * [8b8eb17] Add Brazilian Portuguese debconf translation.
    (Closes: #824339)

 -- Christian Seiler <christian@iwakd.de>  Fri, 20 May 2016 09:52:46 +0200

open-iscsi (2.0.873+git0.3b4b4500-14ubuntu17) zesty; urgency=medium

  * debian/tests:
    - README-boot-test.md: mention limited space caveat.
    - patch-image: fix handling of ADT_TEST_TRIGGERS if source package
      built more than one binary package.
    - test-open-iscsi.py: change to rely on patch-image
      adding package 'open-iscsi' rather than passing it in itself.

 -- Scott Moser <smoser@ubuntu.com>  Thu, 16 Feb 2017 15:47:58 -0500

open-iscsi (2.0.873+git0.3b4b4500-14ubuntu16) zesty; urgency=medium

  * debian/tests: many improvements to the open-iscsi and tgt boot test.
    - only run test on amd64. just avoid timeout errors or other unrelated
      issues causing failure.
    - debian/tests/README-boot-test.md: add doc describing the tgt-boot-test
    - rename get-maas-eph to get-image
    - use a cloud image instead of a maas image for booting.  The value in
      this is that we can then install open-iscsi inside the image and get an
      updated initramfs.
    - use subprocess.check_call rather than subprocess.call so that we
      actually catch errors.
    - update xkvm to what is in curtin/tools/xkvm
    - improve updating of images to consider ADT_TEST_TRIGGERS if set.

 -- Scott Moser <smoser@ubuntu.com>  Tue, 14 Feb 2017 17:07:00 -0500

open-iscsi (2.0.873+git0.3b4b4500-14ubuntu15) zesty; urgency=medium

  * debian/tests/tgt-boot-test: set HOST_IP harder for the testsuite test.

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Sun, 29 Jan 2017 13:05:47 -0500

open-iscsi (2.0.873+git0.3b4b4500-14ubuntu14) zesty; urgency=medium

  * Make systemd job not run in containers (LP: #1576341)

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Sun, 15 Jan 2017 23:08:29 -0600

open-iscsi (2.0.873+git0.3b4b4500-14ubuntu13) zesty; urgency=medium

  * Fix syntax error in previous changes. LP: #1621507

 -- LaMont Jones <lamont@ubuntu.com>  Fri, 09 Dec 2016 12:35:45 +0100

open-iscsi (2.0.873+git0.3b4b4500-14ubuntu12) zesty; urgency=medium

  * debian/tests/tgt-boot-test: set HOST_IP to 10.0.2.2; it's suboptimal but
    given the test setup this will allow the right IPs to be used to bring up
    the iscsi target in the xkvm.

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Thu, 08 Dec 2016 11:00:12 +0100

open-iscsi (2.0.873+git0.3b4b4500-14ubuntu11) zesty; urgency=medium

  * debian/tests/tgt-boot-test: drop -serial stdio altogether since running
    the VM in -nographics mode will already output to stdout.

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Tue, 22 Nov 2016 11:27:55 -0500

open-iscsi (2.0.873+git0.3b4b4500-14ubuntu10) zesty; urgency=medium

  * debian/tests/tgt-boot-test: always log qemu serial to stdio so we can
    actually see what is going on during the tests.

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Thu, 17 Nov 2016 11:01:27 -0500

open-iscsi (2.0.873+git0.3b4b4500-14ubuntu9) zesty; urgency=medium

  [ LaMont Jones ]
  * Clean up net-interface-handler
  * Source /run/net6-*.conf when needed.

  [ Mathieu Trudel-Lapierre ]
  * debian/extra/initramfs.local-top: handle IPv6 configs being shipped in
    DEVICE6 or /run/net6-*.conf in the initramfs, so we can fill in
    /run/initramfs/open-iscsi.interface (LP: #1621507)

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Thu, 03 Nov 2016 16:30:37 -0600

open-iscsi (2.0.873+git0.3b4b4500-14ubuntu8) yakkety; urgency=medium

  * debian/tests/xkvm: don't --enable-kvm.

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Wed, 05 Oct 2016 12:58:21 -0400

open-iscsi (2.0.873+git0.3b4b4500-14ubuntu7) yakkety; urgency=medium

  * debian/tests/test-open-iscsi.py: glob to pick up open-iscsi.deb, which may
    be named differently depending on how autopkgtests are run.

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Wed, 05 Oct 2016 09:56:25 -0400

open-iscsi (2.0.873+git0.3b4b4500-14ubuntu6) yakkety; urgency=medium

  * debian/tests/test-open-iscsi.py: install the open-iscsi binary into a test
    MAAS image, so we can check bootability. Download the open-iscsi explicitly
    to /tmp before trying to copy it; so that we don't need to depend on ugly
    internal autopkgtest paths.

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Tue, 04 Oct 2016 09:05:56 -0400

open-iscsi (2.0.873+git0.3b4b4500-14ubuntu5) yakkety; urgency=medium

  * debian/tests/control: add build-needed since some of the new tests
    appear to require that (so they can reach open-iscsi.deb which is a build
    artifact from building in autopkgtest).

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Mon, 03 Oct 2016 16:10:54 -0400

open-iscsi (2.0.873+git0.3b4b4500-14ubuntu4) yakkety; urgency=medium

  * add support for IPV6{DOMAINSEARCH,DNS0,DNS1} to net-interface-handler
    LP: #1621507

 -- LaMont Jones <lamont@canonical.com>  Tue, 20 Sep 2016 08:05:41 -0600

open-iscsi (2.0.873+git0.3b4b4500-14ubuntu3) xenial; urgency=medium

  * Cherry-pick from Debian git repository (Christian Seiler):
    - open-iscsi-udeb: drop Depends: libnss-files-udeb (Closes: #819685)

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 15 Apr 2016 16:54:26 +0100

open-iscsi (2.0.873+git0.3b4b4500-14ubuntu2) xenial; urgency=medium

  * debian/tests: add two new tests.  One to verify net-interface-handler is
    installed executable, and one to actually test that /etc/resolv.conf is
    updated with dhcp dns responses.

 -- Diogo Matsubara <diogo.matsubara@gmail.com>  Wed, 09 Mar 2016 12:56:42 -0300

open-iscsi (2.0.873+git0.3b4b4500-14ubuntu1) xenial; urgency=medium

  * Merge from debian. Remaining changes:
    - debian/tests: Add Ubuntu autopkgtest.
    - debian/iscsi-network-interface.rules, debian/net-interface-handler,
      debian/open-iscsi.install:
      Prevent network interface that contains iscsi root from bouncing
      during boot or going down during shutdown.
      Integrates with resolvconf and initramfs code that writes
      /run/initramfs/open-iscsi.interface
    - debian/open-iscsi.maintscript: clean up the obsolete
      iscsi-network-interface upstart job, file on upgrade.
  * make debian/net-interface-handler executable (LP: #1553017)

 -- Scott Moser <smoser@ubuntu.com>  Fri, 04 Mar 2016 13:17:45 -0500

open-iscsi (2.0.873+git0.3b4b4500-14) unstable; urgency=medium

  [ Christian Seiler ]
  * [7ec2450] debian/control: fix typo in Vcs-Git field
  * [b98ca63] debian/control: bump Standards-Version to 3.9.7

  [ Mathieu Trudel-Lapierre ]
  * [f5b850a] udeb: don't generate initiator name if already present
    (Closes: #816632)

 -- Christian Seiler <christian@iwakd.de>  Thu, 03 Mar 2016 18:47:46 +0100

open-iscsi (2.0.873+git0.3b4b4500-13ubuntu1) xenial; urgency=medium

  * Merge from Debian (LP: #1546877). Remaining changes:
    - debian/tests: Add Ubuntu autopkgtest.
    - debian/iscsi-network-interface.rules, debian/net-interface-handler,
      debian/open-iscsi.install:
      Prevent network interface that contains iscsi root from bouncing
      during boot or going down during shutdown.
      Integrates with resolvconf and initramfs code that writes
      /run/initramfs/open-iscsi.interface
    - debian/open-iscsi.maintscript: clean up the obsolete
      iscsi-network-interface upstart job, file on upgrade.

 -- Scott Moser <smoser@ubuntu.com>  Thu, 18 Feb 2016 00:53:37 -0500

open-iscsi (2.0.873+git0.3b4b4500-13) unstable; urgency=medium

  [ Christian Seiler ]
  * [d95ccde] initramfs: fix initramfs creation bug
    (too many symbolic links)
  * [f6246a8] Use triggers instead of update-initramfs
  * [16283ac] Unconditionally add iSCSI to initramfs images
  * [5cf584f] Support RFC 4173 root=iscsi:... format (Closes: #804162)
  * [b12b4b9] Make sure initiatorname.iscsi isn't an obsolete conffile.
  * [06ce1d3] Don't consider iscsiadm exit code 15 to be an error
    (Partial-Fix-For: #809320)
  * [481cedd] Support network autoconfiguration if iscsi_auto is used
    (Closes: #804591)
  * [3b3fa00] Record network device that was configured for iSCSI
  * [508fcba] Handle the default route for iscsi_auto
  * [64b0f31] Fix handling of multiple kept sessions on shutdown
    (Closes: #809320)
  * [df7259e] Fix FTBR on armhf (reproducible builds)

  [ Marco d'Itri ]
  * [d32c7c6] Create in postinst the /sbin/iscsi* compatibility symlinks.
    (Closes: #810276)

  [ Martin Pitt ]
  * [db49787] Migrate from /var/run /run and from /var/lock to /run/lock.
    (Closes: #810696)
  * [1bca41d] Generate initiator name on install, not first boot.
    (Closes: #810702) (LP: #1057635)

 -- Christian Seiler <christian@iwakd.de>  Thu, 11 Feb 2016 16:35:07 +0530

open-iscsi (2.0.873+git0.3b4b4500-12) unstable; urgency=low

  [ Christian Perrier ]
  * [7f5ce40] Debconf templates and debian/control reviewed by the
    debian-l10n-english team as part of the Smith review project.
    (Closes: #797860)

  [ Debconf translation updates ]
  * [bfd526f] Czeck (Michal Simunek). (Closes: #801127)
  * [dbc83a6] French (Julien Patriarca). (Closes: #801181)
  * [dcc7c4d] Russian (Yuri Kozlov). (Closes: #801625)
  * [04acc7f] Spanish (Camaleón). (Closes: #801686)
  * [dfd68ca] Dutch (Frans Spiesschaert). (Closes: #801706)
  * [cd920e1] Portuguese (Américo Monteiro). (Closes: #801731)
  * [ff0c87f] Italian (Beatrice Torracca). (Closes: #801875)
  * [df6eb44] Danish (Joe Hansen). (Closes: #801888)
  * [d51bf4a] German (Chris Leick). (Closes: #801903)

  [ Christian Seiler ]
  * [c030d08] Call startup-checks.sh as ExecStartPre= from
    iscsid.service. (Fix regression in -10.)
  * [3d41a1e] Use invoke-rc.d start and not restart upon initial
    installation. (Fix regression in -10.)
  * [1e94bfd] Add simple autopkgtests. (Closes: #710148)

 -- Christian Seiler <christian@iwakd.de>  Mon, 19 Oct 2015 23:46:01 +0200

open-iscsi (2.0.873+git0.3b4b4500-11) unstable; urgency=low

  [ Christian Seiler ]
  * [320f3d8] boot: wait long enough for multipath to create mappings
  * [745f06e] Hook up native services to sysinit.target instead of
    remote-fs.target. Thanks to Felipe Sateler for bringing this to our
    attention

 -- Christian Seiler <christian@iwakd.de>  Sat, 29 Aug 2015 13:39:52 +0530

open-iscsi (2.0.873+git0.3b4b4500-10) unstable; urgency=low

  [ Christian Seiler ]
  * [553ee17] Move binaries from /usr to /.
  * [b4da874] Add lintian overrides for iscsid.conf permissions
    being 0600.
  * [4f33a8d] Patch build system to fully respect Debian build flags.
    (Closes: #764409)
  * [295ee0b] Remove obsolete /var/lib/open-iscsi directory.
  * [e86e5c1] postinst: Move startup of daemon after auto-generated
    debhelper commands
  * [4d05783] Move umountiscsi.sh to /lib/open-iscsi.
  * [deb3533] Rewrite umountiscsi.sh, make it more robust
    (Closes: #775838)
  * [9ffbe41] Improve shutdown logic and auto-exclude vital sessions
    from logout
  * [592d3d1] Factor out startup logic from init script
  * [6947cef] Explain old behavior of postinst in form of comments.
  * [f84a986] Restart iscsid on upgrades, separate init scripts.
    (Closes: #501321)
  * [421400b] Prompt before removing if sessions are still active.
  * [c703bad] debconf: use po-debconf to make warnings and notices
    translateable.
  * [3b03a6c] prerm: warn the user about downgrades that will
    definitely break the system
  * [62e90af] Add NEWS file to describe the most important changes
    for administrators.
  * [1d53892] postrm: remove /etc/iscsi database on purge
  * [62c0cd2] Add native systemd service files
  * [dafe2e3] Add TODO.Debian
  * [13bd86a] Update changelog for release.

  [ Ritesh Raj Sarraf ]
  * [9bcebd0] Use standard pathfind from Debian policy manual
    in postinst

 -- Christian Seiler <christian@iwakd.de>  Thu, 20 Aug 2015 21:13:32 +0200

open-iscsi (2.0.873+git0.3b4b4500-9) unstable; urgency=medium

  [ Christian Seiler ]
  * [38e441e] Re-add debian/gbp.conf to reflect packaging workflow.
  * [3ea6875] Rework packaging to use dh(1). (Closes: #777602, #784092)
  * [0ce99fa] Explain why the list of architectures for the udeb is restricted.

  [ Ritesh Raj Sarraf ]
  * [e6bc6a0] Drop previous (inactive) maintainers and add Christial Seiler
    as a New Maintainer
  * [b6bd4fe] Migrate from old style gbp config

 -- Ritesh Raj Sarraf <rrs@debian.org>  Wed, 13 May 2015 15:35:04 +0530

open-iscsi (2.0.873+git0.3b4b4500-8) unstable; urgency=medium

  * [e707e75] Exclude iscsid.conf from dh_fixperms. (Closes: #735773)

 -- Christian Seiler <christian@iwakd.de>  Tue, 10 Feb 2015 18:00:54 +0100

open-iscsi (2.0.873+git0.3b4b4500-7) unstable; urgency=medium

  [ Ritesh Raj Sarraf ]
  * [8ed5fd2] Revert changes introduced in 2.0.873+git0.3b4b4500-5

  [ Christian Seiler ]
  * [cea864b] Clean up sysvinit ordering w.r.t. NFS.
  * [9097d07] Remove debian/gbp.conf again (change doesn't fit release
    criteria).

 -- Christian Seiler <christian@iwakd.de>  Mon, 09 Feb 2015 16:32:52 +0100

open-iscsi (2.0.873+git0.3b4b4500-6) unstable; urgency=medium

  [ Christian Seiler ]
  * Replace $remote_fs from Should-Start/Stop in init script with
    $local_fs and mountnfs-bootclean. (Breaks ordering cycle on
    systemd systems.)
  * Create systemd drop-in to create Before-dependency on
    remote-fs-pre.target and run umountiscsi.sh on stop.

 -- Ritesh Raj Sarraf <rrs@debian.org>  Sat, 31 Jan 2015 11:47:18 +0530

open-iscsi (2.0.873+git0.3b4b4500-5) unstable; urgency=medium

  [ Christian Seiler ]
  * Create systemd unit, make it order before remote-fs-pre.target to
    fix hang at boot. Unit currently only starts init script.
  * Manually start umountiscsi.sh in open-iscsi init script to make
    the stop action on shutdown not be a noop. (systemd tracks service
    state)
  * Add dh-systemd to build-deps.
  * Reorder #DEBHELPER# in postinst to not break upgrades (dh-systemd's
    code has to be there before invoke-rc.d is called).

  [ Ritesh Raj Sarraf ]
  * [fa0ce1c] Install iscsid.conf with permission 600 (Closes: #735773)
  * [eeb3e90] Don't wait in detecting disks when run under systemd.
    Thanks to Christian Seiler (Closes: #775778)
  * [641f3ee] Add gbp.conf
  * [cff497b] Add iscsi.service as an Alias

 -- Ritesh Raj Sarraf <rrs@debian.org>  Mon, 26 Jan 2015 13:04:33 +0530

open-iscsi (2.0.873+git0.3b4b4500-4) unstable; urgency=medium

  * [41c7eca] Introduce new architectures based on current build
    status of the Debian Installer (Closes: #759817)

 -- Ritesh Raj Sarraf <rrs@debian.org>  Mon, 01 Sep 2014 14:32:59 +0530

open-iscsi (2.0.873+git0.3b4b4500-3) unstable; urgency=medium

  * [56e20ac] Revert "Add patch to enable fsck, mount and swap
    for network block devices"
  * [517546c] Handle network swap devices (blocks) (Closes: #756843)

 -- Ritesh Raj Sarraf <rrs@debian.org>  Wed, 20 Aug 2014 19:08:39 +0530

open-iscsi (2.0.873+git0.3b4b4500-2) unstable; urgency=medium

  [ Philipp Hug ]
  * [b517ebb] Start open-iscsi after installation and make sure
    initiatorname is generated.

  [ Ritesh Raj Sarraf ]
  * [7e1ae42] Add patch to enable fsck, mount and swap for network
    block devices. Thanks to Turbo Fredriksson (Closes: #736349)
  * [92ac387] Don't prematurely exit when encountering targets with
    no block device. Thanks to Sammy Atmadja (Closes: #745708)
  * [7363428] Add autotools-dev for updated config.{sub,guess}. Also add
    dh-autoreconf in build-depends to support new architectures.
    Thanks to Chen Baozi <baozich@gmail.com> and Wookey (Closes: 750610)

 -- Ritesh Raj Sarraf <rrs@debian.org>  Thu, 26 Jun 2014 13:05:48 +0530

open-iscsi (2.0.873+git0.3b4b4500-1) unstable; urgency=low

  * [53a1224] Fix typo in README.
    Thanks to Jim Paris (Closes: #693559)
  * [1fcfdb8] Imported Upstream version 2.0.873+git0.3b4b4500
    (Closes: #722562)
  * [2280fc1] Refresh Patches
  * [ca1c9b9] Enable standard hardening knobs
  * [d73fe1e] Drop patch -03_hardened-build-flags.patch
  * [4599ae0] Update Vcs links
  * [728c154] Try harder to determine an iSCSI block device.
    Thanks to Dennis Leeuw, Philip Freeman (Closes: #691732)
  * [1b68764] Call udev to settle so that network device is available.
    Thanks to Jim Paris (Closes: #693558)
  * [2478ad6] Don't allow iscsid to get killed during shutodown.
    Thanks to Wakko Warner (Closes: #700762)

 -- Ritesh Raj Sarraf <rrs@debian.org>  Tue, 05 Nov 2013 21:45:47 +0530

open-iscsi (2.0.873-3ubuntu13) wily; urgency=medium

  * debian/net-interface-handler: Create the resolvconf dir, to avoid failure
    when resolvconf did not start yet; the udev rules run in parallel with
    it. (LP: #1501033)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 06 Oct 2015 07:05:48 +0200

open-iscsi (2.0.873-3ubuntu12) wily; urgency=medium

  * Drop debian/ifup@.service.conf again, it ceased to work with net.agent in
    wily and the whole idea of net-interface-handler is to *stop* ifupdown
    from fiddling with the iscsi interface. Replace with udev rules
    (debian/iscsi-network-interface.rules) which achieves this without relying
    on ifupdown or a particular init system. (LP: #1463461)
  * Drop debian/open-iscsi.iscsi-network-interface.upstart as well, obsolete
    now. Also clean it up on upgrades.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 11 Jun 2015 11:58:29 +0200

open-iscsi (2.0.873-3ubuntu11) vivid; urgency=medium

  * Factor out logic from debian/open-iscsi.iscsi-network-interface.upstart
    into debian/net-interface-handler, and install the latter in debian/rules.
  * Add debian/ifup@.service.conf: Drop-in for ifup@.service to run
    net-interface-handler under systemd. (LP: #1432829)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 27 Mar 2015 09:51:05 +0100

open-iscsi (2.0.873-3ubuntu10) vivid; urgency=medium

  * Start open-iscsi after installation and make sure initiatorname is
    generated. (Patch backported from Debian)
  * debian/tests/daemon: Stop calling the init.d script as we expect the
    daemon to start automatically now.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 06 Mar 2015 13:17:26 +0100

open-iscsi (2.0.873-3ubuntu9) trusty; urgency=medium

  * Add missing python test dependency.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 26 Feb 2014 16:07:37 +0100

open-iscsi (2.0.873-3ubuntu8) trusty; urgency=medium

  * open-iscsi-udeb: Enable builds on armhf, arm64, ppc64el, x32 (LP: #1274203)

 -- dann frazier <dann.frazier@canonical.com>  Wed, 29 Jan 2014 12:34:45 -0700

open-iscsi (2.0.873-3ubuntu7) saucy; urgency=low

  * Use dh_autotools-dev to update config.sub|guess.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Fri, 11 Oct 2013 17:03:37 +0100

open-iscsi (2.0.873-3ubuntu6) saucy; urgency=low

  * debian/tests: Add autopkgtest.

 -- Yolanda <yolanda.robla@canonical.com>  Mon, 27 May 2013 10:39:35 +0200

open-iscsi (2.0.873-3ubuntu5) quantal-proposed; urgency=low

  * Ensure all udev events have been processed before trying to configure
    iscsi networking in the initramfs (LP: #1066945): 
    - debian/extra/initramfs.local-top: Restore wait_for_udev call before
      configure_networking to ensure network devices are present.

 -- James Page <james.page@ubuntu.com>  Wed, 17 Oct 2012 12:37:43 +0100

open-iscsi (2.0.873-3ubuntu4) quantal-proposed; urgency=low

  * Generate initiator name on install, not first boot, ensuring that the
    initramfs built during install contains a valid iSCSI initiator name
    resulting in a iSCSI based root volume that will actually boot
    (LP: #1057635):
    - debian/{rules,initiatorname.iscsi}: Don't install a default
      initiatorname.iscsi.
    - debian/open-iscsi.postinst: Generate initiatorname.iscsi on install.

 -- James Page <james.page@ubuntu.com>  Mon, 15 Oct 2012 12:42:53 +0100

open-iscsi (2.0.873-3ubuntu3) quantal; urgency=low

  * debian/open-iscsi.iscsi-network-interface.upstart: fix bad syntax
    in 'post-stop'

 -- Scott Moser <smoser@ubuntu.com>  Mon, 17 Sep 2012 16:50:22 -0400

open-iscsi (2.0.873-3ubuntu2) quantal; urgency=low

  * debian/extra/initramfs.local-top: start writing
    /run/initramfs/open-iscsi.interface file again (LP: #1050480)
  * debian/open-iscsi.iscsi-network-interface.upstart: integrate with
    resolvconf (LP: #1050487)

 -- Scott Moser <smoser@ubuntu.com>  Mon, 17 Sep 2012 15:46:26 -0400

open-iscsi (2.0.873-3ubuntu1) quantal; urgency=low

  * Merge from Debian. Remaining changes: (LP: #961114, LP: #677333)
    - Add upstart job iscsi-network-interface
    - Migrate from /var/run and /lib/init/rw to /run, from /var/lock to
      /run/lock.
  * Turn open-iscsi-utils into a transitional package

 -- Stéphane Graber <stgraber@ubuntu.com>  Tue, 10 Jul 2012 13:53:52 -0400

open-iscsi (2.0.873-3) unstable; urgency=low

  * [4939401] Fix build to install udeb stuff only on supported architectures

 -- Ritesh Raj Sarraf <rrs@debian.org>  Wed, 27 Jun 2012 22:36:05 +0530

open-iscsi (2.0.873-2) unstable; urgency=low

  * [0019fa9] Restrict architecture for the udeb package as its dependency,
    scsi-modules, is not available on all the architecture paltforms

 -- Ritesh Raj Sarraf <rrs@debian.org>  Tue, 26 Jun 2012 18:54:17 +0530

open-iscsi (2.0.873-1) unstable; urgency=low

  * [53943f2] Load iscsi_ibft module to allow target session over iBFT.
    Thanks to JOORIS Emmanuel (Closes: #672122)
  * [ca41744] Delete old obsolete patches
  * [01a54bf] Drop old manpages already available upstream
  * [caf884c] ship upstream manpages for iscsi-iname and iscsistart
  * [a983848] Imported Upstream version 2.0.873

 -- Ritesh Raj Sarraf <rrs@debian.org>  Mon, 21 May 2012 23:54:53 +0530

open-iscsi (2.0.872+git0.6676a1cf-2) unstable; urgency=low

  * Upload to unstable
  * [cb80472] Fix default iscsid path in config file.
    Thanks to Michal Suchanek (Closes: #650221)

 -- Ritesh Raj Sarraf <rrs@debian.org>  Tue, 24 Apr 2012 09:41:08 +0530

open-iscsi (2.0.872+git0.6676a1cf-1) experimental; urgency=low

  [ Ritesh Raj Sarraf ]
  * New Upstream git snapshot (Closes: #645752)
  * [ce26f7c] Imported Upstream version 2.0.872+git0.6676a1cf
  * [9ad08d7] also include iscsitart in the udeb
  * [bc79ad2] refresh patch debian/patches/spelling-error-fixes.patch
  * [0286328] refresh patch 004_make-iscsistart-a-dynamic-binary.patch
  * [360a509] Drop patches:
    + iscsi-dont-build-with-ssl.patch and
    + disable-isns-security.patch
  * [350db4d] rename and reorder patches
  * [794fa4f] Package-Type is now an understood feild by dpkg
  * [593f187] Add hardened build flags.
    Thanks to Moritz Muehlenhoff (Closes: #659662)
  * [cf4c6c3] Kill iscsid processes properly, on stop.
    Thanks to Gwendal Grignou (Closes: #665966)
  * [f1a9d2f] linitan fixes for spelling errors and manpage hyphen errors
  * [a8560c8] add and fix lsb headers for init files

  [ Colin Watson ]
  * [156b745] open-iscsi: add a udeb (Closes: #635161)

 -- Ritesh Raj Sarraf <rrs@debian.org>  Sat, 07 Apr 2012 21:02:37 +0530

open-iscsi (2.0.872-2) unstable; urgency=low

  * Upload to unstable

 -- Ritesh Raj Sarraf <rrs@debian.org>  Wed, 14 Sep 2011 14:26:00 +0530

open-iscsi (2.0.872-1) experimental; urgency=low

  * New Upstream Release
  * [cccd5a9] Use udevadm to check for existense of udev.
    Thanks to Marco d'Itri (Closes: #622209)
  * [ddb81e4] Drop patches, merged upstream
  * [25aa1d9] disable security and slp support
  * [89b2a6a] Add patch to disable ssl.
    Thanks to Mike Christie
  * [d70e88a] Refresh patch
  * [b501aec] delete debian/patches/disable-isns.patch
  * [2cc67f7] spelling-error and hyphentation fixes
  * [b886116] Bump Standards Version to 3.9.2
  * [405ecfd] add autotools-dev to build-dep to ensure we have no stale
    configure scripts

 -- Ritesh Raj Sarraf <rrs@debian.org>  Fri, 26 Aug 2011 16:21:38 +0530

open-iscsi (2.0.871.3-6) unstable; urgency=low

  * [87c440c] fix gcc 4.6 build failure (Closes: #625152)

 -- Ritesh Raj Sarraf <rrs@debian.org>  Tue, 03 May 2011 00:22:07 +0530

open-iscsi (2.0.871.3-5) unstable; urgency=low

  * Last upload was incorrect. Really upload to unstable

 -- Ritesh Raj Sarraf <rrs@debian.org>  Sat, 12 Feb 2011 02:00:34 +0530

open-iscsi (2.0.871.3-4) unstable; urgency=low

  * Reupload to unstable

 -- Ritesh Raj Sarraf <rrs@debian.org>  Thu, 10 Feb 2011 20:17:07 +0530

open-iscsi (2.0.871.3-3) experimental; urgency=low

  * Install iscsid.conf with 0600 permission as it can contain passwords
    (Closes: #472965)
  * Provide an example for iSCSI root installation (Closes: #492358)
  * Add support to enable multiple session to the iSCSI Target in the
    initramfs. Thanks to Norbert Tretkowski for the patch.
    (Closes: #598773)
  * Add patch to support NICs that have native iSCSI support. Thanks to
    Bjoern Metzdorf for the patch. (Closes: #514924)
  * cherry pick commit f0b670c0 from upstrem (Closes: #603990)
  * Bump Standards Version (No changes required)

 -- Ritesh Raj Sarraf <rrs@debian.org>  Wed, 05 Jan 2011 13:43:42 +0545

open-iscsi (2.0.871.3-2) unstable; urgency=low

  * Break down and add quilt patches
    + 003_Fix-CVE-2009-1297.patch
    + 004_make-iscsistart-a-dynamic-binary.patch
  * Add some explanation about initiatorname.iscsi into README.Debian
    (Closes: #507003)
  * Fix double variable assignment in initramfs.local-top. Thanks to Aurelien
    Jarno (Closes: #576786)
  * Document the odd hang behavior during iSCSI login phase when using 32 bit
    open-iscsi with 64 bit kernel
  * Change address to my official Debian address and remove the DMUA flag
  * Handle iSCSI LVM devices and devices marked _netdev (Closes: #498616)
  * Switch to 3.0 (quilt) source format

 -- Ritesh Raj Sarraf <rrs@debian.org>  Fri, 11 Jun 2010 12:33:02 +0530

open-iscsi (2.0.871.3-1) unstable; urgency=low

  * New upstream release (Closes: #564012, #566511)
  * When open-iscsi service is asked to stop, attempt to umount all iSCSI
    devices. On failure, bail out (Closes: #501580, #499126)
  * Add debian/source/format specifying the current source format

 -- Ritesh Raj Sarraf <rrs@researchut.com>  Wed, 24 Mar 2010 21:44:38 +0530

open-iscsi (2.0.871-1) unstable; urgency=low

  [ Guido Günther ]
  * Imported Upstream version 2.0.871

  [ Ritesh Raj Sarraf ]
  * New Upstream Release - 2.0.871
    (Closes: #424642)
  * Fix credential passing in local-top/initramfs.local-top
    (Closes: #550012, #525053)
  * Fix settling of devices in initramfs (Closes: #501582, #488999)
  * Update Standards-Version to 3.8.4
  * Change to team maintenance
  * Add git-orig-source target
  * Add debian/watch file
  * Add README.source file
  * Add quilt patches
  * Add Vcs headers
  * Update debhelper to v7
  * Update copyright information
  * Improve description (Closes: #504707)
  * Stop umountiscsi and open-iscsi in runlevel 1
  * Remove already obsolete disabled-install-indep target
  * Replace deprecated dh_clean -k with dh_prep
  * Refresh 001_manpages_fixes.patch
  * Fix copyright and explain packaging licensing
  * Fix "undefined reference to strl* when building iscsid"
  * Proper sanity check in the init script for empty strings
    (Closes: #501319)
  * Provide init script service with the same name
  * Build iscsistart as a dynamic binary

 -- Ritesh Raj Sarraf <rrs@researchut.com>  Sat, 06 Feb 2010 20:28:23 +0530

open-iscsi (2.0.871-0ubuntu9) oneiric-proposed; urgency=low

  * Make sure the upstart job triggers ifupdown's upstart script to avoid
    waiting 2 minutes at boot time for network to come up. (LP: #870214)

 -- Stéphane Graber <stgraber@ubuntu.com>  Tue, 11 Oct 2011 22:31:39 +0100

open-iscsi (2.0.871-0ubuntu8) oneiric; urgency=low

  * Disable open-iscsi init script when root is on iscsi (LP: #838809)

 -- Stéphane Graber <stgraber@ubuntu.com>  Thu, 15 Sep 2011 10:01:12 -0400

open-iscsi (2.0.871-0ubuntu7) oneiric; urgency=low

  * Migrate from /var/run and /lib/init/rw to /run, from /var/lock to
    /run/lock, and from /dev/.initramfs to /run/initramfs.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 14 Jul 2011 17:01:42 +0100

open-iscsi (2.0.871-0ubuntu6) oneiric; urgency=low

  * Fix initramfs iSCSI login (many thanks to Amos Hayes for lending me a
    test system; LP: #728088):
    - Write out /dev/.initramfs/open-iscsi.interface in the same subshell as
      configure_networking, so that we can get at the value of DEVICE.
    - Wait for udev to settle before attempting to configure networking.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 27 May 2011 23:27:31 +0100

open-iscsi (2.0.871-0ubuntu5) maverick; urgency=low

  * Include <sys/types.h> and <sys/stat.h> in usr/iscsi_sysfs.c for S_*
    macros (LP: #600953).

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 02 Jul 2010 17:08:14 +0100

open-iscsi (2.0.871-0ubuntu4) lucid; urgency=low

  * Revert ISCSI_NETDEVICE change; it's normally better to select the
    interface by MAC address (LP: #473036).

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 05 Feb 2010 12:06:06 -0800

open-iscsi (2.0.871-0ubuntu3) lucid; urgency=low

  * If ISCSI_NETDEVICE is set, configure that interface in the initramfs
    (LP: #473036).

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 22 Jan 2010 17:01:17 +0000

open-iscsi (2.0.871-0ubuntu2) lucid; urgency=low

  * Fix handling of ISCSI_USERNAME, ISCSI_PASSWORD, ISCSI_IN_USERNAME, and
    ISCSI_IN_PASSWORD in iscsi.initramfs (closes: #525053).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 14 Dec 2009 12:24:42 +0000

open-iscsi (2.0.871-0ubuntu1) lucid; urgency=low

  * New upstream release.
  * If the root filesystem is on iSCSI, prevent the network interface used
    for it from being brought up or down automatically (LP: #457767).
  * Backport from upstream:
    - Allow updating of discovery records (Hannes Reinecke).
    - Fix discovery record use, rather than always using iscsid.conf
      settings (Mike Christie).

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 10 Dec 2009 18:19:20 +0000

open-iscsi (2.0.870.1-0ubuntu12) karmic; urgency=low

  * debian/open-iscsi-udeb.finish-install: Stop checking
    disk-detect/iscsi/enable, as that template doesn't exist any more.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 02 Oct 2009 18:49:18 +0100

open-iscsi (2.0.870.1-0ubuntu11) karmic; urgency=low

  * open-iscsi-utils Replaces: old versions of open-iscsi.
  * SECURITY UPDATE: temporary file vulnerability (LP: #408915)
    - utils/iscsi_discovery: store iscsiadm -m discovery result in a
      variable rather than writing it to an insecurely-created temporary
      file
    - CVE-2009-1297

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 24 Aug 2009 23:42:10 +0100

open-iscsi (2.0.870.1-0ubuntu10) karmic; urgency=low

  * debian/control, debian/open-iscsi-utils.install,
    open-iscsi-utils.manpages : create a new binary package which
    contains /sbin/iscsiadm, needed for some packages to build against
    (eg, libvirt), but not containing the init script, LP: #414986

 -- Dustin Kirkland <kirkland@ubuntu.com>  Tue, 18 Aug 2009 08:11:34 -0500

open-iscsi (2.0.870.1-0ubuntu9) karmic; urgency=low

  * debian/open-iscsi.init: don't exit with error if
    /lib/init/rw/sendsigs.omit.d/ doesn't exist (LP: #414986)

 -- Jamie Strandboge <jamie@ubuntu.com>  Mon, 17 Aug 2009 14:12:01 -0500

open-iscsi (2.0.870.1-0ubuntu8) karmic; urgency=low

  * Make sure network devices are always included in the initramfs if
    booting with / on iSCSI.
  * Retry initramfs network configuration for a while until it works (LP:
    #237460).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 11 Aug 2009 13:05:43 +0100

open-iscsi (2.0.870.1-0ubuntu7) karmic; urgency=low

  [ Colin Watson ]
  * debian/open-iscsi-udeb.postinst, debian/open-iscsi-udeb.templates:
    Remove; this is being taken over by disk-detect and partman-iscsi.
  * debian/control: Remove XB-Installer-Menu-Item.

  [ Mathias Gug ]
  * debian/open-iscsi.postinst: Fix backwards use of update-rc.d (LP:
    #306678).
  * debian/open-iscsi.init: Overwrite existing pid file symlinks in
    /lib/init/rw/sendsigs.omit.d/.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 10 Aug 2009 13:28:41 +0100

open-iscsi (2.0.870.1-0ubuntu6) karmic; urgency=low

  * utils/iscsi_discovery: Fix several bashisms (test ==, &> redirection,
    trap with numeric signals).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 04 Aug 2009 12:30:44 +0100

open-iscsi (2.0.870.1-0ubuntu5) karmic; urgency=low

  * utils/iscsi_discovery: replace uses of awk with other shell voodoo, so
    that this works in the installer.  LP: #236640.
  * debian/rules, debian/open-iscsi-udeb.dirs: install the open-isci-udeb
    finish script to /usr/lib/finish-install.d, not to /lib/finish-install.d.
  * debian/open-iscsi-udeb.finish-install: copy the config from the root
    to the correct directory in the target.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 07 Jul 2009 22:10:17 -0700

open-iscsi (2.0.870.1-0ubuntu4) karmic; urgency=low

  * debian/extra/initramfs.hook: iscsistart is in /sbin, not /usr/sbin (LP:
    #364616).

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 02 Jul 2009 14:12:25 +0100

open-iscsi (2.0.870.1-0ubuntu3) jaunty; urgency=low

  * Invoke iscsi-iname using normal $PATH lookup rather than using an
    incorrect explicit path (see LP #236640).

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 09 Apr 2009 16:49:08 +0100

open-iscsi (2.0.870.1-0ubuntu2) jaunty; urgency=low

  * debian/control: Drop udeb dependency on crypto-modules; as best as I can
    tell, this is required for crc32c support, which is now built-in to the
    Ubuntu kernels.

 -- Dustin Kirkland <kirkland@ubuntu.com>  Tue, 03 Feb 2009 11:20:35 +0100

open-iscsi (2.0.870.1-0ubuntu1) jaunty; urgency=low

  * New upstream release:
   - Support 2.6.26/27 kernels (LP: #289470).
   - Fix iscsid shutdown (LP: #181188).
  * Merge from Debian. Remaining Ubuntu changes:
   - Note: Debian version isn't 870~rc3 but 869.2 which leads to a big
     .diff.gz file. Only files in debian/ have been considered for this merge
     since debian hasn't patched the source.
   - debian/control, debian/rules, debian/open-iscsi-udeb*:
     + Add open-iscsi-udeb.
   - debian/open-iscsi.dirs:
     + rename dirs to open-iscsi.dirs because of open-iscsi-udeb addition.
     + drop network/if-up.d/ directory since we're using symlinks instead.
     + utilities installed in /bin,/sbin rather than /usr/bin,/usr/sbin.
   - debian/open-iscsi.init:
     + utilities installed in /bin,/sbin rather than /usr/bin,/usr/sbin.
     + lsb log messages.
     + Don't generate initiatorname name (moved to postinst).
     + Support for being called from ifup/ifdown scripts.
     + Refactor start functions:
       - move daemon start to startdaemon function.
       - call udevadm settle rather then udevsettle (which doesn't do anything
         useful).
       - don't exit if the daemon is already running during sanitychecks.
         Instead check in startdaemon if the daemon needs to be started.
       - only start automatic targets if necessary.
       - add waitfordevices function: called during rcS, waits for all 
         automatic targets to be ready. Iscsi targets are considered as
         local block devices - they don't need to be marked with _netdev in
         fstab. (LP: #227848) 
       - start targets if not run from rcS.
     + Check status of iscsid daemon in addition to listing the iscsi sessions 
       when status action is called.  
     + Add iscsid to the list of processes that should not be killed by
       sendsigs during shutdown (LP: #192080).
     + Add starttargets, stoptargets and restarttargets to usage message.
   - debian/rules:
     + Install utilities /bin,/sbin rather than /usr/bin,/usr/sbin.
     + Start open-iscsi at S25 (waiting for devices created by ifupdown
       calls and before local filesystems are checked and mounted)
     + stop at S41 (after local filesystems are unmounted). Don't use 
       umountiscsi.sh script from debian. (LP: #192080).
   - debian/initiatorname.iscsi, debian/open-iscsi.postinst:
     + Generate the random initiatorname during postinstall rather than in the
     init script.
     + Don't ship a default initiatorname.iscsi file.
   - debian/open-iscsi.postinst:
     + fix init script ordering on upgrades.
   - debian/open-iscsi.links:
     + symlink open-iscsi init script in if-up.d and if-down.d directory so
       that the iscsi subsystem is started/stopped when network interfaces 
       are configured.
   - debian/open-iscsi.postrm:
     + delete iscsi configuration when the package is purged.
   - utils/iscsi_discovery: De-bashify iscsi_discovery.
   - usr/idbm.c: Fix build failure with new glibc. LP: #299843.
  * Dropped:
   - Exit without error if /sys is not available. Otherwise, it's not possible
     to use this package as a build-dependency (in Debian).
   - Drop upstream url in long description now that it's in the Homepage
     field (in Debian).

 -- Mathias Gug <mathiaz@ubuntu.com>  Mon, 01 Dec 2008 10:45:03 -0500

open-iscsi (2.0.870~rc3-0.6) unstable; urgency=low

  * Non-maintainer upload.
  * [4bfddee] Fix CVE-2009-1297 (Closes: #547011) - thanks to Colin Watson for
    the patch

 -- Guido Günther <agx@sigxcpu.org>  Sat, 23 Jan 2010 17:56:18 +0100

open-iscsi (2.0.870~rc3-0.5) unstable; urgency=low

  * Non-maintainer upload to fix release goal.
  * Fix incorrect provides and dependencies in init.d script (Closes:
    #541390).
  * Add missing package dependency on udev.  Rewrite init.d script to use
    'udevadm settle' instead of obsolete 'udevsettle' (Closes: #517225).
  * No longer ignore errors in the postinst.  Tip from lintian.
  * Do not start open-iscsi init.d script during package installation,
    to avoid installation problem (Closes: #529280).

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 13 Sep 2009 20:25:49 +0200

open-iscsi (2.0.870~rc3-0.4) unstable; urgency=medium

  * Clean up diff.gz, it downgraded the package to 2.0.869.2.
    (closes: #507496)

 -- Norbert Tretkowski <nobse@debian.org>  Thu,  8 Jan 2009 11:19:23 +0100

open-iscsi (2.0.870~rc3-0.3) unstable; urgency=low

  * Non-maintainer upload.
  * Do not exit with return code 1 in init script, because it breaks
    upgrades and is a policy violation (Closes: #503070)

 -- Patrick Schoenfeld <schoenfeld@debian.org>  Mon, 27 Oct 2008 10:21:17 +0100

open-iscsi (2.0.870~rc3-0.2) unstable; urgency=low

  * Non-maintainer upload.
  * Drop patch from iscsistart.c which breaks booting from iscsi.
    (closes: #499508)
  * Drop patch from version.h which adds an outdated upstream version
    number.

 -- Norbert Tretkowski <nobse@debian.org>  Fri, 10 Oct 2008 10:46:56 +0200

open-iscsi (2.0.870~rc3-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * New upstream release
    - Adds support for Linux 2.6.26 (Closes: #499508)
  * Fix ">&" redirection bashism in open-iscsi initscript.

 -- Chris Lamb <lamby@debian.org>  Tue, 30 Sep 2008 21:40:27 +0100

open-iscsi (2.0.869.2-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix bashism in debian/rules (Closes: #484427)
    - Move upstream URL to Homepage field.
    - Bump Standards-Version to 3.8.0.

 -- Chris Lamb <chris@chris-lamb.co.uk>  Fri, 11 Jul 2008 23:20:18 +0100

open-iscsi (2.0.869.2-2) unstable; urgency=low

  * Revert if-up.d approach for logging into automatic targets; just
    start open-iscsi at rcS.d/S45, and mount _netdev filesystems when
    open-iscsi is started.
  * Call udevsettle before mounting

 -- Philipp Hug <debian@hug.cx>  Mon, 12 May 2008 12:48:49 +0200

open-iscsi (2.0.869.2-1) unstable; urgency=low

  * New upstream release

 -- Philipp Hug <debian@hug.cx>  Mon, 12 May 2008 11:56:30 +0200

open-iscsi (2.0.869~rc4-1) experimental; urgency=low

  * init script: If /sys is not mounted return without error
    (Closes: #470434, #423368)
  * Merged changes by Andrew Moise <chops@demiurgestudios.com>
  * Adding Andrew as Co-Maintainer
  * New upstream release (Closes: #474167)
  * Added flex and bison build-depends
  * Fixed up init scripts to attempt to handle automatic mounting and
    unmounting properly (Closes: #423851, #438542)
  * Added /etc/network/if-up.d/000open-iscsi to start automatic targets
  * Parameterized /etc/iscsi/initiatorname.iscsi in init script,
    correcting one place where it still said /etc/initiatorname.iscsi
  * Updated README.Debian
  * Include iscsistart for use in initramfs (Closes: #419408)
  * Add initramfs scripts to make iSCSI root easy
  * Based on patch by Guido Guenther <agx@sigxcpu.org>

 -- Philipp Hug <debian@hug.cx>  Sat, 12 Apr 2008 15:53:12 +0200

open-iscsi (2.0.865-1ubuntu5) jaunty; urgency=low

  * Fix build failure with new glibc. LP: #299843.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 27 Nov 2008 15:58:15 +0100

open-iscsi (2.0.865-1ubuntu4) intrepid; urgency=low

  * Exit without error if /sys is not available. Otherwise, it's not possible
    to use this package as a build-dependency.

 -- Soren Hansen <soren@ubuntu.com>  Fri, 02 May 2008 00:57:02 +0200

open-iscsi (2.0.865-1ubuntu3) hardy; urgency=low

  * Migration of /usr/{bin,sbin,lib} -> to /{bin,sbin,lib}. 
    (LP: #208441)
  * Push the shutdown scripts back. (LP: #196748)
  * Update control to 3.7.3.
  * Updated the maintainer according to spec. 

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 09 Apr 2008 18:09:28 -0400

open-iscsi (2.0.865-1ubuntu2) hardy; urgency=low

  * Fixed init script to point to the right iscsiadm. (LP: #206520) 

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 25 Mar 2008 09:53:08 -0400

open-iscsi (2.0.865-1ubuntu1) hardy; urgency=low

  * Add open-iscsi-udeb.
  * Include iscsi_discovery.
  * De-bashify iscsi_discovery.
  * Start open-iscsi in single user mode.
  * Properly lsb-ify init script.
  * Modify Maintainer value to match the DebianMaintainerField
    specification.

 -- Soren Hansen <soren@ubuntu.com>  Fri, 08 Feb 2008 11:56:11 +0100

open-iscsi (2.0.865-1) unstable; urgency=low

  * New upstream release
  * Removed iscsi-iname patch as it's now included in upstream
  * Moved initiatorname.iscsi to /etc/iscsi/initiatorname.iscsi

 -- Philipp Hug <debian@hug.cx>  Sat, 16 Jun 2007 12:31:05 +0200

open-iscsi (2.0.730-1) unstable; urgency=low

  * Reverted to upstream init script + patches (Closes: #397363 #401579)
  * Removed libdb dependency
  * Create /etc/iscsi
  * Integrated NMU changes from Martin Zobel-Helas
     + New Upstream Release (Closes: #397636)
     + Made /var/lib/open-iscsi 0700 (Closes: #398733)
     + change #define INITIATOR_NAME_FILE to /etc/initiatorname.iscsi
       in usr/initiator.h
     + Fix package description (Closes: #380162)

 -- Philipp Hug <debian@hug.cx>  Wed,  6 Dec 2006 20:22:30 +0100

open-iscsi (1.0.485-4) unstable; urgency=low

  * Removed bash-ism from init script
  * Added hint about autostart to README.Debian
  * Improved description a bit (Closes: #380162)

 -- Philipp Hug <debian@hug.cx>  Mon, 21 Aug 2006 19:55:40 +0200

open-iscsi (1.0.485-3) unstable; urgency=low

  * Added description to man page

 -- Philipp Hug <debian@hug.cx>  Sun, 23 Jul 2006 19:08:48 +0200

open-iscsi (1.0.485-2) unstable; urgency=low

  * Moved package to unstable
  * Removed unused section in control
  * Updated Standards-Version to 3.7.2.1
  * Added INIT INFO section to init script to make it lsb compliant
  * Removed unusued lines in rules
  * Added man page for iscsi-iname

 -- Philipp Hug <debian@hug.cx>  Sat, 22 Jul 2006 19:45:35 +0200

open-iscsi (1.0.485-1) experimental; urgency=low

  * Install iscsid.conf in /etc/iscsid.conf instead of /etc/iscsid.conf-example

 -- Philipp Hug <debian@hug.cx>  Tue, 27 Jun 2006 14:42:20 +0200

open-iscsi (1.0.485-0unreleased) dapper; urgency=low

  * Initial Release (closes: Bug#333695)
  * Updated init script
  * Automatically generate iscsi initiator name
  * Use Debian specific initator name prefix
  * Put database into /var/lib/open-iscsi

 -- Philipp Hug <debian@hug.cx>  Mon,  6 Mar 2006 19:20:17 +0000

